Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 12930)
+++ trunk/language/es_ES/admin.lang.php	(revision 12971)
@@ -96,5 +96,4 @@
 $lang['Lock gallery'] = 'Bloquear la galería';
 $lang['Maintenance'] = 'Mantenimiento';
-$lang['Edit album permissions'] = 'Modificar los permisos del álbum';
 $lang['Manage permissions for group "%s"'] = 'Administrar los permisos para el grupo "%s"';
 $lang['Manage permissions for user "%s"'] = 'Administrar los permisos para el usuario "%s"';
@@ -218,6 +217,4 @@
 $lang['manage sub-albums'] = 'Administrar los sub-álbumes';
 $lang['Manage'] = 'Administrar';
-$lang['maximum height'] = 'Altura máxima';
-$lang['maximum width'] = 'Ancho máximo';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepaso el tiempo de ejecución, el tratamiento debe continuar [el Tiempo estimado: %d el segundo].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo de preparación de la lista de los usuarios para el envío es limitado. Los otros usuarios no estan en una lista.';
@@ -332,20 +329,13 @@
 $lang['User list'] = 'Lista usuarios';
 $lang['Edit photo information'] = 'Modificar la información vinculada a esta foto';
-$lang['Thumbnail creation'] = 'Creación de las miniaturas';
 $lang['Database synchronization with files'] = 'Sincronización de la base de datos a partir de los ficheros';
 $lang['all'] = 'todo';
-$lang['photos without thumbnail (jpeg and png only)'] = 'fotos sin miniatura (jpeg y png únicamente)';
 $lang['height must be a number superior to'] = 'La altura debe ser  un entero superior a';
 $lang['width must be a number superior to'] = 'La ancho debe ser un entero superior a';
 $lang['for the file format'] = 'para el formato de archivo';
-$lang['No missing thumbnail'] = 'No falta ninguna miniatura';
 $lang['Photo unreachable or no support'] = 'foto inaccesible o no soportada';
 $lang['GD version'] = 'versión de GD';
-$lang['generated in'] = 'generada en';
-$lang['Results of miniaturization'] = 'Los resultados de la miniaturización';
 $lang['General statistics'] = 'Estadísticas generales';
-$lang['max time'] = 'Tiempo máximo';
 $lang['average time'] = 'El tiempo medio';
-$lang['min time'] = 'Tiempo mínimo';
 $lang['number of miniaturized photos'] = 'número de miniaturas creadas';
 $lang['total time'] = 'el tiempo total';
@@ -439,5 +429,4 @@
 $lang['guest'] = 'Invitado';
 $lang['default values'] = 'Valores por defecto';
-$lang['High filesize'] = 'Peso del fichero';
 $lang['Guest cannot be deleted'] = 'No se puede borrar al invitado';
 $lang['Default user cannot be deleted'] = 'No se puede suprimir al usuario por defecto';
@@ -791,5 +780,4 @@
 $lang['Height'] = 'altura';
 $lang['Follow Orientation'] = 'siguen la orientación';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Si desea volver a generar imágenes en miniatura, por favor vaya a la <a href="%s">la administracion por lotes</a>.';
 $lang['Graphics Library'] = 'librería gráfica';
 $lang['Learn more'] = 'Más información';
@@ -832,3 +820,15 @@
 $lang['With no tag'] = 'Sin etiqueta';
 $lang['With no virtual album'] = 'Sin álbum virtual';
+$lang['Activate comments'] = 'Activar comentarios';
+$lang['Default comments order'] = 'Orden por defecto de los comentarios';
+$lang['Edit selected tags'] = 'Editar etiquetas seleccionadas';
+$lang['Edit tags'] = 'Editar etiquetas';
+$lang['Original Size'] = 'Tamaño original';
+$lang['Photo name'] = 'Nombre de la foto';
+$lang['Photo Sizes'] = 'Tamaños de la foto';
+$lang['Resize after upload'] = 'Redimensionar después de subir';
+$lang['Send connection settings by email'] = 'Enviar datos de conexión por email';
+$lang['The original image quality must be a number between %d and %d'] = 'La calidad de la foto original ha de ser un número entre %d y %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'La altura máxima de la foto original ha de ser un número entre %d y %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'La anchura máxima de la foto original ha de ser un número entre %d y %d';
 ?>