Index: /extensions/stripped-slide/admin/admin.inc.php
===================================================================
--- /extensions/stripped-slide/admin/admin.inc.php	(revision 12974)
+++ /extensions/stripped-slide/admin/admin.inc.php	(revision 12974)
@@ -0,0 +1,32 @@
+<?php
+
+// Need upgrade?
+
+global $conf;
+
+if (!isset($conf['stripped-slide']))
+  include(PHPWG_THEMES_PATH.'stripped-slide/admin/upgrade.inc.php');
+
+load_language('theme.lang', PHPWG_THEMES_PATH.'stripped-slide/');
+
+$config= array ();
+
+if(isset($_POST['submit_stripped-slide']))
+{
+	if (isset($_POST['f_maxHeight'])) { $config['maxHeight']=intval($_REQUEST['f_maxHeight']); }
+
+	conf_update_param('stripped-slide', pwg_db_real_escape_string(serialize($config)));
+
+	array_push($page['infos'], l10n('Information data registered in database'));
+
+	load_conf_from_db();
+}
+
+$template->set_filenames(array(
+    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+
+$template->assign('options', unserialize($conf['stripped-slide']));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+  
+?>
Index: /extensions/stripped-slide/admin/admin.tpl
===================================================================
--- /extensions/stripped-slide/admin/admin.tpl	(revision 12974)
+++ /extensions/stripped-slide/admin/admin.tpl	(revision 12974)
@@ -0,0 +1,18 @@
+<div class="titrePage">
+	<h2>stripped-slide Theme Configuration</h2>
+</div>
+
+<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
+	<div>
+		<fieldset>
+			<legend>{'Slide zone options'|@translate}</legend>
+			<ul>
+				<li>
+					<label for="maxHeight"><span class="property">{'Maximum image height'|@translate}</span>&nbsp;</label>
+					<input type="text" id="maxHeight" name="f_maxHeight" size="3" maxlength="4" value="{$options.maxHeight}" style="text-align:center;">&nbsp;px
+				</li>
+			</ul>
+		</fieldset>
+	</div>
+	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit_stripped-slide" /></p>
+</form>
Index: /extensions/stripped-slide/admin/index.php
===================================================================
--- /extensions/stripped-slide/admin/index.php	(revision 12974)
+++ /extensions/stripped-slide/admin/index.php	(revision 12974)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped-slide/admin/maintain.inc.php
===================================================================
--- /extensions/stripped-slide/admin/maintain.inc.php	(revision 12974)
+++ /extensions/stripped-slide/admin/maintain.inc.php	(revision 12974)
@@ -0,0 +1,29 @@
+<?php
+
+function theme_activate($id, $version, &$errors)
+{
+  global $prefixeTable, $conf;
+
+  if (!isset($conf['stripped-slide']))
+  {
+    $config = array(
+	'maxHeight'					=> '600',
+      );
+      
+    $query = "
+INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
+VALUES ('stripped-slide' , '".pwg_db_real_escape_string(serialize($config))."' , 'stripped-slide theme parameters');";
+
+    pwg_query($query);
+  }
+}
+
+function theme_deactivate()
+{
+  global $prefixeTable;
+
+  $query = "DELETE FROM " . CONFIG_TABLE . " WHERE param='stripped-slide';";
+  pwg_query($query);
+}
+
+?>
Index: /extensions/stripped-slide/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped-slide/admin/upgrade.inc.php	(revision 12974)
+++ /extensions/stripped-slide/admin/upgrade.inc.php	(revision 12974)
@@ -0,0 +1,21 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $prefixeTable, $conf;
+
+if (!isset($conf['stripped-slide']))
+{
+    $config = array(
+	'maxHeight'					=> '600',
+      );
+      
+    $query = "
+INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
+VALUES ('stripped-slide' , '".pwg_db_real_escape_string(serialize($config))."' , 'stripped-slide theme parameters');";
+
+    pwg_query($query);
+
+} 
+
+?>
Index: /extensions/stripped-slide/index.php
===================================================================
--- /extensions/stripped-slide/index.php	(revision 12974)
+++ /extensions/stripped-slide/index.php	(revision 12974)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped-slide/js/scripts-slide.js
===================================================================
--- /extensions/stripped-slide/js/scripts-slide.js	(revision 12974)
+++ /extensions/stripped-slide/js/scripts-slide.js	(revision 12974)
@@ -0,0 +1,34 @@
+jQuery("document").ready(function(jQuery) {
+	
+	// SlideZone autosize function
+
+	if (options.imageAutosize) {
+
+		jQuery(window).resize(function () {
+
+			var Fenetre = jQuery(window);
+			var the_page = jQuery("#the_page");
+			var imgSlideZone = jQuery(".imgSlideZone");
+			var imgSlideImg = jQuery(".imgSlideImg");
+			
+			if (imgSlideZone.length == 0) return;
+
+			var marge = the_page.height() - imgSlideImg.height();
+
+			var Hmin = options.imageAutosizeMinHeight;
+
+			var newH = Fenetre.height() - marge;
+			if (newH < Hmin) newH = Hmin;
+			if (newH > SlideMaxHeight) newH = SlideMaxHeight;
+			imgSlideImg.css("height",newH+"px");
+
+			return;
+
+		});
+		
+		jQuery(window).resize();
+		jQuery(window).resize();
+	
+	}
+	
+});
Index: /extensions/stripped-slide/language/en_UK/index.php
===================================================================
--- /extensions/stripped-slide/language/en_UK/index.php	(revision 12974)
+++ /extensions/stripped-slide/language/en_UK/index.php	(revision 12974)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped-slide/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped-slide/language/en_UK/theme.lang.php	(revision 12974)
+++ /extensions/stripped-slide/language/en_UK/theme.lang.php	(revision 12974)
@@ -0,0 +1,4 @@
+<?php
+$lang['Slide zone options'] = 'Slide zone options';
+$lang['Maximum image height'] = 'Maximum image height';
+?>
Index: /extensions/stripped-slide/language/fr_FR/index.php
===================================================================
--- /extensions/stripped-slide/language/fr_FR/index.php	(revision 12974)
+++ /extensions/stripped-slide/language/fr_FR/index.php	(revision 12974)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped-slide/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped-slide/language/fr_FR/theme.lang.php	(revision 12974)
+++ /extensions/stripped-slide/language/fr_FR/theme.lang.php	(revision 12974)
@@ -0,0 +1,4 @@
+<?php
+$lang['Slide zone options'] = 'Options de la zone de d&eacute;filement';
+$lang['Maximum image height'] = 'Hauteur maximale des images';
+?>
Index: /extensions/stripped-slide/language/index.php
===================================================================
--- /extensions/stripped-slide/language/index.php	(revision 12974)
+++ /extensions/stripped-slide/language/index.php	(revision 12974)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped-slide/local_head.tpl
===================================================================
--- /extensions/stripped-slide/local_head.tpl	(revision 12974)
+++ /extensions/stripped-slide/local_head.tpl	(revision 12974)
@@ -0,0 +1,8 @@
+{php}
+	global $template, $stripped;
+	$template->assign( 'stripped', $stripped );
+{/php}
+
+{if ($BODY_ID=='theCategoryPage')}
+	{combine_script id='scripts-slide' load='header' path='themes/stripped-slide/js/scripts-slide.js'}
+{/if}
Index: /extensions/stripped-slide/readme.txt
===================================================================
--- /extensions/stripped-slide/readme.txt	(revision 12974)
+++ /extensions/stripped-slide/readme.txt	(revision 12974)
@@ -0,0 +1,23 @@
+stripped-slide theme for Piwigo
+-------------------------------------------------------------------------------
+Author : Julien Capitaine (Zaphod on Piwigo forums)
+
+stripped-slide is based on stripped theme and needs stripped 2.x.
+It has been designed to view the images in a very simple way.
+No thumbnail page, the images of each album are all displayed on one page in an horizontal gallery.
+You can scroll through the images using the slider below them.
+
+The maximum height can be set on the configuration page.
+(for a better display quality, set this height to the same as the websize height in your Piwigo options)
+
+Changelog
+---------
+
+*** version 1.1.0
+
+- compatibility with stripped 2.1.0
+
+
+*** version 1.0.0
+
+- first version
Index: /extensions/stripped-slide/template/footer.tpl
===================================================================
--- /extensions/stripped-slide/template/footer.tpl	(revision 12974)
+++ /extensions/stripped-slide/template/footer.tpl	(revision 12974)
@@ -0,0 +1,79 @@
+<div id="footer">
+	<div id="footer_left">
+		
+		<a name="EoP"></a> <!-- End of Page -->
+		
+		{if isset($USERNAME)}
+			<div class="footer_login">
+				{if isset($U_PROFILE)}
+					 <div class="footer_customize">
+						[<a href="{$U_PROFILE}" title="{'customize the appareance of the gallery'|@translate}">{$USERNAME}</a>]&nbsp;
+					</div>
+				{else}
+					[{$USERNAME}]&nbsp;
+				{/if}
+			</div>
+		{/if}
+
+		{if isset($U_LOGIN)}
+			<a href="{$U_LOGIN}" rel="nofollow">{'Login'|@translate}</a>
+		{/if}
+
+		{if (isset($U_LOGIN) && isset($U_REGISTER))}-{/if}
+		
+		{if isset($U_REGISTER)}
+			<a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow">{'Register'|@translate}</a>
+		{/if}
+
+		{if isset($U_LOGOUT)}
+			<a href="{$U_LOGOUT}">{'Logout'|@translate}</a>
+		{/if}
+
+		{if (isset($U_LOGOUT) && isset($U_ADMIN))}-{/if}
+
+		{if isset($U_ADMIN)}
+			<a href="{$U_ADMIN}" title="{'available for administrators only'|@translate}">{'Administration'|@translate}</a>
+		{/if}
+
+	</div>
+
+	{get_combined_scripts load='footer'}
+
+	{if isset($footer_elements)}
+	{foreach from=$footer_elements item=v}
+	{$v}
+	{/foreach}
+	{/if}
+	
+	<div id="copyright">
+	 {* Please, do not remove this copyright. If you really want to,
+		  contact us on http://piwigo.org to find a solution on how
+		  to show the origin of the script...
+	  *}
+
+	  {'Powered by'|@translate}
+	  <a href="{$PHPWG_URL}" class="Piwigo">
+	  <span class="Piwigo">Piwigo</span></a>
+	  {$VERSION}
+
+	  {if isset($CONTACT_MAIL)}
+	  {'Contact'|@translate}
+	  <a href="mailto:{$CONTACT_MAIL}?subject={'A comment on your site'|@translate|@escape:url}">- {'Webmaster'|@translate} </a>
+	  {/if}
+
+	  {if isset($debug.TIME) }
+	 - {'Page generated in'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'SQL queries in'|@translate} {$debug.SQL_TIME})
+	 {/if}
+
+
+	</div>
+</div>
+</div><!-- the_page -->
+{if empty($CATEGORIES) &! empty($THUMBNAILS) }</div>{/if}
+{if isset($debug.QUERIES_LIST)}
+<div id="debug">
+{$debug.QUERIES_LIST}
+</div>
+{/if}
+</body>
+</html>
Index: /extensions/stripped-slide/template/header.tpl
===================================================================
--- /extensions/stripped-slide/template/header.tpl	(revision 12974)
+++ /extensions/stripped-slide/template/header.tpl	(revision 12974)
@@ -0,0 +1,85 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
+<meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
+{if isset($meta_ref) } 
+{if isset($INFO_AUTHOR)}
+<meta name="author" content="{$INFO_AUTHOR|@strip_tags:false|@replace:'"':' '}">
+{/if}
+{if isset($related_tags)}
+<meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
+{/if}
+{if isset($COMMENT_IMG)}
+<meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{else}
+<meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
+{/if}
+{/if}
+
+{if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('Home'))}
+<title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>{else}
+<title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>{/if}
+<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.ico">
+
+<link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
+<link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
+{if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
+{if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
+{if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
+{if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
+{if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
+
+{get_combined_css}
+{foreach from=$themes item=theme}
+{if $theme.load_css}
+{combine_css path="themes/`$theme.id`/theme.css" order=-10}
+{/if}
+{if !empty($theme.local_head)}{include file=$theme.local_head load_css=$theme.load_css}{/if}
+{/foreach}
+
+
+{if isset($U_PREFETCH)          }<link rel="prefetch" href="{$U_PREFETCH}">{/if}
+
+{if not empty($page_refresh)    }<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
+
+{get_combined_scripts load='header'}
+<!--[if lt IE 7]>
+<script type="text/javascript" src="{$ROOT_URL}themes/default/js/pngfix.js"></script>
+<![endif]-->
+
+{if not empty($head_elements)}
+	{foreach from=$head_elements item=elt}{$elt}
+	{/foreach}
+{/if}
+
+</head>
+
+<body id="{$BODY_ID}" class={strip}"
+	{if !$stripped.thumbFrame} ntf{/if}
+	{if !$stripped.albumFrame} naf{/if}
+	{if ($stripped.albumType == 'small')} ats{else} atd{/if}
+	{if ($stripped.albumType == '1perline')} at1{/if}
+	{if ($stripped.albumType == '2perline')} at2{/if}
+	{if ($stripped.albumType == '3perline')} at3{/if}
+"{/strip}>
+{if empty($CATEGORIES) &! empty($THUMBNAILS) }<div id="slide">{/if}
+<div id="the_page">
+
+{if not empty($header_msgs)}
+<div class="header_msgs">
+	{foreach from=$header_msgs item=elt}
+	{$elt}<br>
+	{/foreach}
+</div>
+{/if}
+
+<div id="theHeader">{$PAGE_BANNER}</div>
+{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
+{if not empty($header_notes)}
+<div class="header_notes">
+	{foreach from=$header_notes item=elt}
+	<p>{$elt}</p>
+  	{/foreach}
+</div>
+{/if}
Index: /extensions/stripped-slide/template/index.tpl
===================================================================
--- /extensions/stripped-slide/template/index.tpl	(revision 12974)
+++ /extensions/stripped-slide/template/index.tpl	(revision 12974)
@@ -0,0 +1,88 @@
+{php}
+	global $pwg_loaded_plugins;
+	$this->assign('GMaps_loaded', isset($pwg_loaded_plugins[ 'GMaps' ]));
+	$this->assign('ThumbScroller_loaded', isset($pwg_loaded_plugins[ 'rv_tscroller' ]));
+{/php}
+<div class="titrePage">
+	<div class="browsePath">
+		{if empty($THUMBNAILS) || (!empty($CATEGORIES)) }
+			<span id="menuswitcher" title="{'Show/hide menu'|@translate}">{'Menu'|@translate}</span><span class="arrow"> »</span>
+		{/if}
+		<h2>{$TITLE}</h2>
+	</div>
+	{if isset($U_EDIT) or isset($U_SLIDESHOW) or !empty($PLUGIN_INDEX_ACTIONS)}
+		<div class="categoryActionsContainer">
+			<ul class="categoryActions group1">
+				{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+				{if isset($U_EDIT)}
+					<li class="mainAction"><a href="{$U_EDIT}" title="{'edit'|@translate}">{'edit'|@translate}</a></li>
+				{/if}
+				{if isset($U_CADDIE) }
+					<li class="mainAction"><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}">{'caddie'|@translate}</a></li>
+				{/if}
+			</ul>
+		</div>
+	{/if}
+</div>
+<div id="content" {if !$stripped.hideMenu}class="menuShown"{/if}>
+{if empty($CATEGORIES) &! empty($THUMBNAILS) }
+		{$THUMBNAILS}
+{else}
+	{$MENUBAR}
+	<div id="content_cell">
+		{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}<div class="subcontent">{$PLUGIN_INDEX_CONTENT_BEFORE}</div>{/if}
+		<div id="subcontent">
+			{if isset($chronology.TITLE) }
+				<h2>{$chronology.TITLE}</h2>
+			{/if}
+			{if isset($chronology_views) }
+				{if isset($U_MODE_POSTED) }
+					<a href="{$U_MODE_POSTED}" rel="nofollow">{'display a calendar by posted date'|@translate}</a>
+				{/if}
+				{if isset($U_MODE_CREATED) }
+					<a href="{$U_MODE_CREATED}" rel="nofollow">{'display a calendar by creation date'|@translate}</a>
+				{/if}
+				<div class="calendarViews">{'View'|@translate}:
+					<select onchange="document.location = this.options[this.selectedIndex].value;">
+						{foreach from=$chronology_views item=view}
+							<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+						{/foreach}
+					</select>
+				</div>
+			{/if}
+
+			{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}<div class="content_block">{$PLUGIN_INDEX_CONTENT_BEGIN}</div>{/if}
+			{if !empty($category_search_results) }
+				<div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+					{foreach from=$category_search_results item=res name=res_loop}
+					{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+					{$res}
+					{/foreach}
+				</div>
+			{/if}
+			{if !empty($tag_search_results) }
+				<div>{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+					{foreach from=$tag_search_results item=res name=res_loop}
+						{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+						{$res}
+					{/foreach}
+				</div>
+			{/if}
+			{if isset($FILE_CHRONOLOGY_VIEW) }
+				{include file=$FILE_CHRONOLOGY_VIEW}
+			{/if}
+
+			{if !empty($CONTENT_DESCRIPTION) }
+				<div class="content_block"><div class="additional_info">
+					{$CONTENT_DESCRIPTION}
+				</div></div>
+			{/if}
+
+			{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
+			{if !empty($PLUGIN_INDEX_CONTENT_END) }<div class="content_block">{$PLUGIN_INDEX_CONTENT_END}</div>{/if}
+		</div> <!-- subcontent -->
+		{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}<div class="subcontent">{$PLUGIN_INDEX_CONTENT_AFTER}</div>{/if}
+	</div>
+{/if}
+	<div style="clear: both;"></div>
+</div> 
Index: /extensions/stripped-slide/template/thumbnails.tpl
===================================================================
--- /extensions/stripped-slide/template/thumbnails.tpl	(revision 12974)
+++ /extensions/stripped-slide/template/thumbnails.tpl	(revision 12974)
@@ -0,0 +1,19 @@
+{if !empty($thumbnails)}
+{php}
+	global $stripped, $strippedslide;
+	$this->assign( 'stripped', $stripped );
+	$this->assign( 'strippedslide', $strippedslide );
+{/php}
+<script type="text/javascript">
+{literal}var SlideMaxHeight = {/literal}{$strippedslide.maxHeight};
+</script>
+{literal}
+<style type="text/css">
+{literal}#slide .imgSlideImg { {/literal}height:{$strippedslide.maxHeight}px; max-height:{$strippedslide.maxHeight}px;{literal}}{/literal}
+</style>
+<div class="imgSlideZone{if ($stripped.themeStyle == 'white')} imgSlideZoneWhite{/if}">
+	{strip}{foreach from=$thumbnails item=thumbnail}
+				<img class="imgSlideImg  {if ($stripped.imageFrame)}slide_img_frame{/if}" src="{$thumbnail.FILE_PATH}" alt="{$thumbnail.NAME}" title="{$thumbnail.NAME}" />
+	{/foreach}{/strip}
+</div>
+{/if}
Index: /extensions/stripped-slide/theme.css
===================================================================
--- /extensions/stripped-slide/theme.css	(revision 12974)
+++ /extensions/stripped-slide/theme.css	(revision 12974)
@@ -0,0 +1,42 @@
+#slide #the_page {
+	max-width:none;
+	width:auto;
+	margin:0 10px;
+}
+
+#slide #content {
+	display: block;
+	width:100%;
+	max-width:none;
+	background:none;
+	border:none;
+	padding:5px 0;
+}
+
+#slide #footer {
+	padding: 0;
+	height:16px;
+}
+
+#slide .imgSlideZone {
+	overflow-x:scroll;
+	width:100%;
+	white-space:nowrap;
+	height:auto;
+}
+
+#slide img {
+	vertical-align:middle;
+}
+
+#slide  .slide_img_frame {
+	border:1px solid #fff;
+}
+
+#slide .imgSlideZoneWhite .slide_img_frame {
+	border:1px solid #000;
+}
+
+#slide .imgSlideImg {
+	margin: 0 5px 5px 0;
+}
Index: /extensions/stripped-slide/themeconf.inc.php
===================================================================
--- /extensions/stripped-slide/themeconf.inc.php	(revision 12974)
+++ /extensions/stripped-slide/themeconf.inc.php	(revision 12974)
@@ -0,0 +1,33 @@
+<?php
+/*
+Theme Name: stripped-slide
+Version: Auto
+Description: stripped-slide theme
+Theme URI: http://piwigo.org/ext/extension_view.php?eid=586
+Author: Julien Capitaine (Zaphod on Piwigo forums)
+Author URI: http://www.audreyetjulien.fr/galerie
+*/
+	
+$themeconf = array(
+  'parent' => 'stripped',
+  'load_parent_css' => true,
+  'load_parent_local_head' => true,
+  'name' => 'stripped-slide',
+  'theme_dir' => 'stripped-slide',
+  'icon_dir' => 'themes/stripped/icon',
+  'admin_icon_dir' => 'themes/default/icon/admin',
+  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
+  'local_head' => 'local_head.tpl',
+);
+
+global $conf, $stripped, $strippedslide;
+
+// Need upgrade?
+if (!isset($conf['stripped-slide']))
+  include(PHPWG_THEMES_PATH.'stripped-slide/admin/upgrade.inc.php');
+
+$stripped['maxThumb']=999;
+$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
+$strippedslide = unserialize( $conf['stripped-slide'] );
+
+?>