Index: /extensions/SmartAlbums/language/cs_CZ/description.txt
===================================================================
--- /extensions/SmartAlbums/language/cs_CZ/description.txt	(revision 12982)
+++ /extensions/SmartAlbums/language/cs_CZ/description.txt	(revision 12982)
@@ -0,0 +1,1 @@
+Snadno vytvoříte dynamické album s tagy, datem a dalšími kritérii
Index: /extensions/SmartAlbums/language/cs_CZ/index.php
===================================================================
--- /extensions/SmartAlbums/language/cs_CZ/index.php	(revision 12982)
+++ /extensions/SmartAlbums/language/cs_CZ/index.php	(revision 12982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php	(revision 12982)
+++ /extensions/SmartAlbums/language/cs_CZ/plugin.lang.php	(revision 12982)
@@ -0,0 +1,39 @@
+<?php
+
+$lang['%d photos associated to album %s'] = '%d fotografie přiřazené k album %s';
+$lang['No filter selected'] = 'Žádný filtr nevybrán';
+$lang['No tag selected'] = 'Žádný tag nevybrán';
+$lang['Date string is malformed'] = 'Řetězec datumu je chybný';
+$lang['Limit must be an integer'] = 'Limit musí být celé číslo';
+$lang['You can\'t use more than one limit'] = 'Lze použít i více než jeden limit';
+$lang['All these tags'] = 'Všechny tyto tagy';
+$lang['One of these tags'] = 'Některý z těchto tagů';
+$lang['None of these tags'] = 'Žádný z těchto tagů';
+$lang['Only these tags'] = 'Pouze tyto tagy';
+$lang['Added on'] = 'Vloženo';
+$lang['Added before'] = 'Vloženo před';
+$lang['Added after'] = 'Vloženo po';
+$lang['Created on'] = 'Vytvořeno';
+$lang['Created before'] = 'Vytvořeno před';
+$lang['Created after'] = 'Vytvořeno po';
+$lang['%d photo'] = '%d fotka';
+$lang['%d photos'] = '%d fotky';
+$lang['tags filter'] = 'filtr tagů';
+$lang['date filter'] = 'filtr datum';
+$lang['limit filter'] = 'limit filtr';
+$lang['Add filters here'] = 'Vložte filtry zde';
+$lang['This album is a SmartAlbum'] = 'Toto album je SmartAlbum';
+$lang['Count'] = 'Počet';
+$lang['Regenerate photos list of this SmartAlbum'] = 'Regenerovat seznam fotek v tomto SmartAlbum';
+$lang['Regenerate photos list of all SmartAlbums'] = 'Regenerovat seznam fotek všech SmartAlb';
+$lang['Update albums on file upload'] = 'Aktualizvat alba při uploadu souborů';
+$lang['(can cause slowdowns on admin pages)'] = '(může způsobit zpomalení odezvy v administračním rozhraní)';
+$lang['All SmartAlbums'] = 'Všechny SmartAlba';
+$lang['Add a SmartAlbum'] = 'Přidat SmartAlbum';
+$lang['SmartAlbum deleted'] = 'SmartAlbum odstraněno';
+$lang['SmartAlbum added'] = 'SmartAlbum přidáno';
+$lang['Only SmartAlbums are displayed on this page'] = 'Pouze SmartAlba jsou zobrazeny na této stránce';
+$lang['To order albums please go the main albums management page'] = 'Pro výběr alb přejděte na seznam alb - <a href="admin.php?page=cat_list">stránka správy</a>';
+$lang['Don\'t show this message again'] = 'Ne/zobrazovat příště tuto zprávu';
+
+?>