Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 12982)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 12983)
@@ -172,5 +172,4 @@
 $lang['You cannot move an album in its own sub album'] = 'あなたは、カテゴリをサブカテゴリに移動できません。';
 $lang['You need to confirm deletion'] = 'あなたは、削除を確認する必要があります。';
-$lang['add tags'] = 'タグを追加する';
 $lang['Associate to album'] = 'カテゴリに関連付ける';
 $lang['associate to group'] = 'グループに関連付ける';
@@ -221,6 +220,4 @@
 $lang['manage sub-albums'] = 'サブカテゴリを管理する';
 $lang['Manage'] = '管理';
-$lang['maximum height'] = '最大高';
-$lang['maximum width'] = '最大幅';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '実行時間が終了しました。処理を継続します [予想時間: %d 秒]。';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '実行時間が終了しました。処理を継続します  [予想時間: %d 秒].';
@@ -338,20 +335,13 @@
 $lang['User list'] = 'ユーザリスト';
 $lang['Edit photo information'] = '写真情報を修正する';
-$lang['Thumbnail creation'] = 'サムネイル作成';
 $lang['Database synchronization with files'] = 'ファイルおよびデータベースの同期化';
 $lang['all'] = 'すべて';
-$lang['photos without thumbnail (jpeg and png only)'] = 'サムネイルなしの写真 (jpegおよびpngのみ)';
 $lang['height must be a number superior to'] = '高さは、次の値より大きくしてください:';
 $lang['width must be a number superior to'] = '幅は、次の値より大きくしてください:';
 $lang['for the file format'] = 'ファイルフォーマット';
-$lang['No missing thumbnail'] = '不明なサムネイルはありません。';
 $lang['Photo unreachable or no support'] = '写真にアクセスできないか、次の内容がサポートされていません:';
 $lang['GD version'] = 'GDバージョン';
-$lang['generated in'] = '生成時間';
-$lang['Results of miniaturization'] = '縮小化の結果';
 $lang['General statistics'] = '一般統計';
-$lang['max time'] = '最大時間';
 $lang['average time'] = '平均時間';
-$lang['min time'] = '最小時間';
 $lang['number of miniaturized photos'] = '縮小化された写真数';
 $lang['total time'] = '合計時間';
@@ -445,6 +435,4 @@
 $lang['guest'] = 'ゲスト';
 $lang['default values'] = 'デフォルト値';
-$lang['High filesize'] = '最大ファイルサイズ';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'ゲストは削除できません。';
 $lang['Default user cannot be deleted'] = 'デフォルトユーザは削除できません。';
@@ -477,5 +465,4 @@
 $lang['Status of user "%s" updated'] = 'ユーザ "%s" のステータスが更新されました。';
 $lang['add new photos to caddie'] = 'キャディに新しいエレメントを追加する';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = '表示なし';
 $lang['Classic display'] = 'クラシック表示';
@@ -508,5 +495,4 @@
 $lang['Are you sure you want to install this plugin?'] = '本当にこのプラグインをインストールしてもよろしいですか?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '本当にアップグレードを実行してもよろしいですか? このバージョンをアンインストールする必要があるかどうか確認してください。';
-$lang['%s has been successfully upgraded.'] = '%s が正常にアップグレードされました。';
 $lang['Plugin has been successfully copied'] = 'プラグインが正常にコピーされました。';
 $lang['You might go to plugin list to install and activate it.'] = 'プラグインをインストールおよび解凍するため、あなたはプラグイン一覧にアクセスすることができます。';
@@ -644,5 +630,4 @@
 $lang['Activate Navigation Thumbnails'] = 'ナビゲーションのサムネールを有効する';
 $lang['Activate icon "%s"'] = '"%s"のアイコンを有効する';
-$lang['Activate field "%s"'] = '"%s"のフィールドを有効する';
 $lang['Photo Properties'] = '写真のプロパティ';
 $lang['Allow user customization'] = 'ユーザーのカスタマイズを有効にする';
@@ -725,3 +710,5 @@
 $lang['Some themes and plugins may be not available yet.'] = 'あるテーマとプラグインはまだできていません。';
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Piwigo %sにアップグレードせずに、直接Piwigo %s にアップグレードすることができます（推進）。';
+$lang['Add to caddie'] = 'キャディに追加する';
+
 ?>
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 12982)
+++ /trunk/language/ja_JP/common.lang.php	(revision 12983)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = 'Piwigoについて';
 $lang['You are not authorized to access the requested page'] = 'あなたは、リクエストしたページへのアクセスを許可されていません。';
-$lang['Add to caddie'] = 'キャディに追加する';
 $lang['add this photo to your favorites'] = 'このイメージをあなたのお気に入りに追加する';
 $lang['Administration'] = '管理';
@@ -361,3 +360,24 @@
 $lang['Change my password'] = 'パスワード変更';
 $lang['Enter your new password below.'] = '新たなパスワードを以下の空欄に入力して下さい。';
+$lang['Edit'] = '編集';
+$lang['EXIF Metadata'] = 'EXIF メタデータ';
+$lang['Hello %s,'] = '%sさん、こんにちは,';
+$lang['IPTC Metadata'] = 'IPTC メタデータ';
+$lang['Send my connection settings by email'] = '接続設定をメールで送信してください。';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'ようこそ！登録完了。まもなくあなたの接続設定をメールで届く予定です。';
+$lang['Username modification'] = 'ユーザー名の変更';
+$lang['Your username has been successfully changed to : %s'] = '新規のユーザー名は: %s';
+$lang['square'] = '四角';
+$lang['thumb'] = 'サムネール';
+$lang['small'] = '小';
+$lang['medium'] = '中';
+$lang['large'] = '大';
+$lang['xlarge'] = 'XL';
+$lang['xxlarge'] = 'XXL';
+$lang['original'] = 'オリジナル';
+$lang['Thank you for registering at %s!'] = '%sに登録して、ありがとうございました!';
+$lang['Here are your connection settings'] = 'あなたの接続設定です。';
+$lang['Password: %s'] = 'パスワード: %s';
+$lang['Username: %s'] = 'ユーザー名: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'もしも、このメールの受信が誤ったら、 %sに連絡して下さい。';
 ?>