Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 12983)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 12984)
@@ -173,5 +173,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Не можете преместити категорију у њену подкатегорију';
 $lang['You need to confirm deletion'] = 'Потврди брисање';
-$lang['add tags'] = 'додај ознаке';
 $lang['Associate to album'] = 'повежи са категоријом';
 $lang['associate to group'] = 'повежи са групом';
@@ -221,6 +220,4 @@
 $lang['manage sub-albums'] = 'управљање подкатегоријама';
 $lang['Manage'] = 'Управљај';
-$lang['maximum height'] = 'највећа висина';
-$lang['maximum width'] = 'највећа ширина';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Време извршења је истекло, обрада се мора наставити [Процењено време: %d секунде].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Време извршења је истекло, обрада се мора наставити [Процењено време: %d секунди].';
@@ -338,20 +335,13 @@
 $lang['User list'] = 'Листа корисника';
 $lang['Edit photo information'] = 'Промена података о слици';
-$lang['Thumbnail creation'] = 'Израда повезних сличица';
 $lang['Database synchronization with files'] = 'Синхронизација базе података са датотекама';
 $lang['all'] = 'све';
-$lang['photos without thumbnail (jpeg and png only)'] = 'слике без повезних сличица (само jpeg и png)';
 $lang['height must be a number superior to'] = 'висина мора бити број већи од ';
 $lang['width must be a number superior to'] = 'ширина мора бити број већи од';
 $lang['for the file format'] = 'за датотечни облик';
-$lang['No missing thumbnail'] = 'Нема недостајућих повезних сличица';
 $lang['Photo unreachable or no support'] = 'Слика недоступна или без подршке';
 $lang['GD version'] = 'ГД верзија';
-$lang['generated in'] = 'израђена у';
-$lang['Results of miniaturization'] = 'резултати умањивања';
 $lang['General statistics'] = 'Главна статистика';
-$lang['max time'] = 'најдуже време';
 $lang['average time'] = 'просечно време';
-$lang['min time'] = 'најкраће време';
 $lang['number of miniaturized photos'] = 'број умањених слика';
 $lang['total time'] = 'укупно време';
@@ -412,5 +402,4 @@
 $lang['Toggle \'default group\' property'] = 'Промени \'подразумевана група\' особине';
 $lang['Advanced features'] = 'Напредне могућности';
-$lang['Specials'] = 'Посебности';
 $lang['Overall'] = 'Свеукупно';
 $lang['Year'] = 'Година';
@@ -446,6 +435,4 @@
 $lang['guest'] = 'гост';
 $lang['default values'] = 'подразумеване вредности';
-$lang['High filesize'] = 'Висока величина датотеке';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Гост не може бити избрисан';
 $lang['Default user cannot be deleted'] = 'Подразумевани корисник не може бити избрисан';
@@ -478,5 +465,4 @@
 $lang['Status of user "%s" updated'] = 'Стање корисника "%s" обновљено';
 $lang['add new photos to caddie'] = 'додај нове елементе у фиоку';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = 'Без приказа';
 $lang['Classic display'] = 'Класични приказ';
@@ -506,9 +492,7 @@
 $lang['Other plugins'] = 'Остали додаци';
 $lang['Last revisions'] = 'Задња издања';
-$lang['Delete'] = 'Обриши';
 $lang['Are you sure you want to delete this plugin?'] = 'Сигурно желите уклонити овај додатак?';
 $lang['Are you sure you want to install this plugin?'] = 'Сигурно желите инсталирати овај додатак?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Сигурно желите инсталирати овај додатак? Морате потврдити да ова пречица не треба уклањање.';
-$lang['%s has been successfully upgraded.'] = '%s је успешно надограђен.';
 $lang['Plugin has been successfully copied'] = 'Додатак је успјешно ископиран';
 $lang['You might go to plugin list to install and activate it.'] = 'Можете ићи на листу датотека за инсталацију и покретање.';
@@ -564,5 +548,4 @@
 $lang['Released on'] = 'Објављено дана';
 $lang['Number of downloads'] = 'Број преузимања';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements e-Новине';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Останите у вези са пројектом, претплатите се на Piwigo Announcement e-Новине. Добијаћете електронске поруке по изласку нових верзија (понекад са сигурносним закрпама, важно је знати да су доступне и треба их што пре уградити) те о свим важнијим десавањима и догађањима у вези са пројектом. Свега пар електронских порука годишње.';
@@ -575,5 +558,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Лозинка недостаје. Молим унесите лозинку.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Потврда лозинке недостаје. Молим потврдите изабрану лозинку.';
-$lang['Password confirmation error.'] = 'Грешка при потврди лозинке.';
 $lang['Allow users to edit their own comments'] = 'Дозволи корисницима да уређују своје коментаре';
 $lang['Allow users to delete their own comments'] = 'Дозволи корисницима да бришу своје коментаре';
@@ -646,5 +628,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Активирај повезне сличице за навигацију';
 $lang['Activate icon "%s"'] = 'Активиирај икону "%s"';
-$lang['Activate field "%s"'] = 'Активирај поље "%s"';
 $lang['Photo Properties'] = 'Особине слике';
 $lang['Allow user customization'] = 'Дозволи подешавања кориснику';
@@ -705,6 +686,5 @@
 $lang['Action'] = 'Операција';
 $lang['Add a filter'] = 'Додај филтер';
-$lang['Album photos associated to the following albums: %s'] = 'Слике
-албума  се налазе и у следећим албумима: %s';
+$lang['Album photos associated to the following albums: %s'] = 'Слике албума  се налазе и у следећим албумима: %s';
 $lang['Albums automatically sorted'] = 'Албуми су аутоматски уређени';
 $lang['All %d photos are selected'] = 'Одабране су све слике: %d ';
@@ -717,5 +697,4 @@
 $lang['Duplicates'] = 'дупликати';
 $lang['include child albums'] = 'укључи подалбуме';
-$lang['last import'] = 'последње додавање';
 $lang['manual order'] = 'ручно уређивање';
 $lang['No photo in the current set.'] = 'Нема фотографија у одабраном скупу.';
@@ -724,5 +703,4 @@
 $lang['on the %d selected photos'] = 'on the %d одабране слике';
 $lang['Orphan tags deleted'] = 'Orphan ознака обрисана';
-$lang['predefined filter'] = 'predefined filter';
 $lang['Refresh photo set'] = 'Обнови скуп слика';
 $lang['Remove all filters'] = 'Обриши све филтере';
@@ -741,9 +719,5 @@
 $lang['Type here the title'] = 'Откуцај овде наслов';
 $lang['Week starts on'] = 'Недеља стартује у';
-$lang['with no album'] = 'без албума';
-$lang['with no tag'] = 'без ознаке';
-$lang['with no virtual album'] = 'без виртуелног албума';
 $lang['You have %d orphan tags: %s.'] = 'Имате %d orphan ознака: %s.';
-$lang['predefined filter'] = 'предефинисани филтер';
 $lang['Themes which need upgrade'] = 'Теме које треба да унапредите';
 $lang['Languages which need upgrade'] = 'Језици које треба да унапредите';
@@ -807,5 +781,4 @@
 $lang['Height'] = 'Висина';
 $lang['Follow Orientation'] = 'Следећа орјентација';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Ако желите да обновите сличице, молимо Вас да одете на следећу везу: <a href="%s">Управљач обраде</a>.';
 $lang['Graphics Library'] = 'Графичка библиотека';
 $lang['Learn more'] = 'Научите више';
@@ -813,4 +786,5 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Појавила се грешка у току распаковања. Молимо Вас, проверите дозволе приступа Вашој piwigo инсталацији.<br><a href="%s">Притисните овде да видите извештај о грешкама</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не може да преузме датотеку за надоградњу са сервера';
+$lang['Add to caddie'] = 'додај у фиоку';
 
 ?>
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 12983)
+++ /trunk/language/sr_RS/common.lang.php	(revision 12984)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = 'О Piwigo-u';
 $lang['You are not authorized to access the requested page'] = 'Нисте овлаштени за приступ затраженој страници';
-$lang['Add to caddie'] = 'додај у фиоку';
 $lang['add this photo to your favorites'] = 'додај ову слику у омиљене';
 $lang['Administration'] = 'Администрација';
@@ -361,5 +360,25 @@
 $lang['Change my password'] = 'Промени моју лозинку';
 $lang['Enter your new password below.'] = 'Унесите Вашу нову лозинку испод.';
-
+$lang['Edit'] = 'Промени';
+$lang['EXIF Metadata'] = 'EXIF подаци';
+$lang['Hello %s,'] = 'Здраво %s,';
+$lang['IPTC Metadata'] = 'IPTC подаци';
+$lang['Send my connection settings by email'] = 'Пошаљи податке о подешавању везе електронском поштом';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Успешна регистрација, добићете ускоро е-пошту са подацима о подешавању везе. Добродошли!';
+$lang['Username modification'] = 'Промена корисничког имена';
+$lang['Your username has been successfully changed to : %s'] = 'Ваше корисничко име је успешно промењено у : %s';
+$lang['square'] = 'квадрат';
+$lang['thumb'] = 'сличица';
+$lang['small'] = 'мала';
+$lang['medium'] = 'средња';
+$lang['large'] = 'Велика';
+$lang['xlarge'] = 'XL велика';
+$lang['xxlarge'] = 'XXL велика';
+$lang['original'] = 'оригинална';
+$lang['Thank you for registering at %s!'] = 'Хвала за регистрацију на %s!';
+$lang['Here are your connection settings'] = 'Овде су ваша подешавања за везу';
+$lang['Password: %s'] = 'Лозинка: %s';
+$lang['Username: %s'] = 'Корисничко име: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Ако мислите да сте добили ову е-пошту грешком, контактирајте нас на следећу адресу: %s'; 
 
 ?>