Index: extensions/stripped-galleria/language/de_DE/index.php
===================================================================
--- extensions/stripped-galleria/language/de_DE/index.php	(revision 12994)
+++ extensions/stripped-galleria/language/de_DE/index.php	(revision 12994)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/stripped-galleria/language/de_DE/theme.lang.php
===================================================================
--- extensions/stripped-galleria/language/de_DE/theme.lang.php	(revision 12994)
+++ extensions/stripped-galleria/language/de_DE/theme.lang.php	(revision 12994)
@@ -0,0 +1,10 @@
+<?php
+$lang['Galleria script options'] = 'Galleria Optionen';
+$lang['Click on image action']='Ausgeführte Aktion beim Klicken auf das Bild';
+$lang['do nothing']='nichts tun';
+$lang['display next picture']='nächstes Bild anzeigen';
+$lang['opens image in a lightbox']='öffnet das Bild in einer Lichtbox';
+$lang['opens HD image in a lightbox']='öffnet das HD Bild in einer Lichtbox';
+$lang['Click on image to display next'] = 'Auf das Bild klicken um zum nächsten Bild zu gelangen';
+$lang['Transition function']= 'Transition-Funktion';
+?>
Index: extensions/stripped-galleria/language/it_IT/index.php
===================================================================
--- extensions/stripped-galleria/language/it_IT/index.php	(revision 12994)
+++ extensions/stripped-galleria/language/it_IT/index.php	(revision 12994)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/stripped-galleria/language/it_IT/theme.lang.php
===================================================================
--- extensions/stripped-galleria/language/it_IT/theme.lang.php	(revision 12994)
+++ extensions/stripped-galleria/language/it_IT/theme.lang.php	(revision 12994)
@@ -0,0 +1,10 @@
+<?php
+$lang['Galleria script options'] = 'Opzioni della Galleria';
+$lang['Click on image action']='Azione svolta cliccando sull\'immagine';
+$lang['do nothing']='niente';
+$lang['display next picture']='mostrare la prossima immagine';
+$lang['opens image in a lightbox']='apre l\'immagine in una lightbox';
+$lang['opens HD image in a lightbox']='apre l\'immagine HD in una lightbox';
+$lang['Click on image to display next'] = 'Cliccare sull\'immagine per mostrare la prossima';
+$lang['Transition function']= 'funzione di transizione';
+?>