Index: trunk/admin/configuration.php
===================================================================
--- trunk/admin/configuration.php	(revision 13003)
+++ trunk/admin/configuration.php	(revision 13004)
@@ -53,4 +53,7 @@
     'email_admin_on_new_user',
     'allow_user_customization',
+    'log',
+    'history_admin',
+    'history_guest',
    );
 
@@ -58,10 +61,4 @@
     'original_resize',
   );
-
-$history_checkboxes = array(
-    'log',
-    'history_admin',
-    'history_guest'
-   );
 
 $comments_checkboxes = array(
@@ -208,12 +205,4 @@
       break;
     }
-    case 'history' :
-    {
-      foreach( $history_checkboxes as $checkbox)
-      {
-        $_POST[$checkbox] = empty($_POST[$checkbox])?'false':'true';
-      }
-      break;
-    }
     case 'comments' :
     {
@@ -296,5 +285,4 @@
 $tabsheet->add('sizes', l10n('Photo Sizes'), $conf_link.'sizes');
 $tabsheet->add('display', l10n('Display'), $conf_link.'display');
-$tabsheet->add('history', l10n('History'), $conf_link.'history');
 $tabsheet->add('comments', l10n('Comments'), $conf_link.'comments');
 $tabsheet->add('default', l10n('Guest Settings'), $conf_link.'default');
@@ -388,19 +376,4 @@
     break;
   }
-  case 'history' :
-  {
-    //Necessary for merge_block_vars
-    foreach ($history_checkboxes as $checkbox)
-    {
-      $template->append(
-          'history',
-          array(
-            $checkbox => $conf[$checkbox]
-            ),
-          true
-        );
-    }
-    break;
-  }
   case 'comments' :
   {
Index: trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- trunk/admin/themes/default/template/configuration.tpl	(revision 13003)
+++ trunk/admin/themes/default/template/configuration.tpl	(revision 13004)
@@ -15,76 +15,104 @@
   <ul>
     <li>
-      <span class="property">
+      
         <label for="gallery_title">{'Gallery title'|@translate}</label>
-      </span>
+      <br>
       <input type="text" maxlength="255" size="50" name="gallery_title" id="gallery_title" value="{$main.CONF_GALLERY_TITLE}">
     </li>
 
     <li>
-      <span class="property">
+      
         <label for="page_banner">{'Page banner'|@translate}</label>
-      </span>
+      <br>
       <textarea rows="5" cols="50" class="description" name="page_banner" id="page_banner">{$main.CONF_PAGE_BANNER}</textarea>
     </li>
-  </ul>
-</fieldset>
-
-<fieldset id="mainConfCheck">
-  <legend></legend>
-  <ul>
-    <li>
-      <label>
-        <span class="property">{'Allow rating'|@translate}</span>
+
+    <li>
+      <label>
         <input type="checkbox" name="rate" {if ($main.rate)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Rating by guests'|@translate}</span>
+        {'Allow rating'|@translate}
+      </label>
+    </li>
+
+    <li id="rate_anonymous">
+      <label>
         <input type="checkbox" name="rate_anonymous" {if ($main.rate_anonymous)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Allow user registration'|@translate}</span>
+        {'Rating by guests'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="allow_user_registration" {if ($main.allow_user_registration)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Allow user customization'|@translate}</span>
+        {'Allow user registration'|@translate}
+      </label>
+    </li>
+
+    <li id="email_admin_on_new_user">
+      <label>
+        <input type="checkbox" name="email_admin_on_new_user" {if ($main.email_admin_on_new_user)}checked="checked"{/if}>
+        {'Email admins when a new user registers'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="allow_user_customization" {if ($main.allow_user_customization)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Mail address is obligatory for all users'|@translate}</span>
+        {'Allow user customization'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="obligatory_user_mail_address" {if ($main.obligatory_user_mail_address)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Email admins when a new user registers'|@translate}</span>
-        <input type="checkbox" name="email_admin_on_new_user" {if ($main.email_admin_on_new_user)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      &nbsp;
-      <span class="property">
-        {'Week starts on'|@translate}
-        {html_options name="week_starts_on" options=$main.week_starts_on_options selected=$main.week_starts_on_options_selected}
-      </span>
+        {'Mail address is obligatory for all users'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>{'Week starts on'|@translate}
+      {html_options name="week_starts_on" options=$main.week_starts_on_options selected=$main.week_starts_on_options_selected}</label>
     </li>
     
-    <li>
-      &nbsp;
-      <span class="property">
-        {'Default photos order'|@translate}
+{footer_script}{literal}
+jQuery(document).ready(function(){
+  /* rate_anonymous visible only if rate is permitted */
+  if (jQuery('input[name="rate"]').is(':checked')) {
+    jQuery('#rate_anonymous').show();
+  }
+  else {
+    jQuery('#rate_anonymous').hide();
+  }
+
+  jQuery('input[name="rate"]').change(function(){
+    if ($(this).is(':checked')) {
+      jQuery('#rate_anonymous').show();
+    }
+    else {
+      jQuery('#rate_anonymous').hide();
+    }
+  });
+
+  /* email_admin_on_new_user checkbox only if allow_user_registration */
+  if (jQuery('input[name="allow_user_registration"]').is(':checked')) {
+    jQuery('#email_admin_on_new_user').show();
+  }
+  else {
+    jQuery('#email_admin_on_new_user').hide();
+  }
+
+  jQuery('input[name="allow_user_registration"]').change(function(){
+    if ($(this).is(':checked')) {
+      jQuery('#email_admin_on_new_user').show();
+    }
+    else {
+      jQuery('#email_admin_on_new_user').hide();
+    }
+  });
+});
+{/literal}{/footer_script}
+
+    <li>
+        <label>{'Default photos order'|@translate}</label>
         
         {foreach from=$main.order_by item=order}
@@ -105,5 +133,4 @@
           <span class="order_by_is_custom">{'You can\'t define a default photo order because you have a custom setting in your local configuration.'|@translate}</span>
         {/if}
-      </span>
     </li>
     
@@ -148,23 +175,24 @@
 {/footer_script}
 {/if}
-  </ul>
-</fieldset>
-{/if}
-
-{if isset($history)}
-<fieldset id="historyConf">
-  <legend></legend>
-  <ul>
-      <li>
-        <label><span class="property">{'Save page visits by guests'|@translate}</span><input type="checkbox" name="history_guest" {if ($history.history_guest)}checked="checked"{/if}></label>
-      </li>
-
-      <li>
-        <label><span class="property">{'Save page visits by users'|@translate}</span><input type="checkbox" name="log" {if ($history.log)}checked="checked"{/if}></label>
-      </li>
-
-      <li>
-        <label><span class="property">{'Save page visits by administrators'|@translate}</span><input type="checkbox" name="history_admin" {if ($history.history_admin)}checked="checked"{/if}></label>
-      </li>
+
+    <li>
+      <strong>{'Save visits in history for'|@translate}</strong>
+
+      <label>
+        <input type="checkbox" name="history_guest" {if ($main.history_guest)}checked="checked"{/if}>
+        {'simple visitors'|@translate}
+      </label>
+
+      <label>
+        <input type="checkbox" name="log" {if ($main.log)}checked="checked"{/if}>
+        {'registered users'|@translate}
+      </label>
+
+      <label>
+        <input type="checkbox" name="history_admin" {if ($main.history_admin)}checked="checked"{/if}>
+        {'administrators'|@translate}
+      </label>
+
+    </li>
   </ul>
 </fieldset>
@@ -177,6 +205,6 @@
     <li>
       <label>
-        <span class="property">{'Activate comments'|@translate}</span>
         <input type="checkbox" name="activate_comments" id="activate_comments"{if ($comments.activate_comments)}checked="checked"{/if}>
+        {'Activate comments'|@translate}
       </label>
     </li>
@@ -186,69 +214,64 @@
     <li>
       <label>
-        <span class="property">{'Comments for all'|@translate}</span>
         <input type="checkbox" name="comments_forall" {if ($comments.comments_forall)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <span class="property">
-        <label for="nb_comment_page">{'Number of comments per page'|@translate}</label>
-      </span>
-      <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{$comments.NB_COMMENTS_PAGE}">
+        {'Comments for all'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
+        {'Number of comments per page'|@translate}
+        <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{$comments.NB_COMMENTS_PAGE}">
+      </label>
     </li>
     
     <li>
-      <span class="property">{'Default comments order'|@translate}</span>
-      <select name="comments_order">
-        {html_options options=$comments.comments_order_options selected=$comments.comments_order}
-      </select>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Validation'|@translate}</span>
+      <label>
+        {'Default comments order'|@translate}
+        <select name="comments_order">
+          {html_options options=$comments.comments_order_options selected=$comments.comments_order}
+        </select>
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="comments_validation" {if ($comments.comments_validation)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Email admins when a valid comment is entered'|@translate}</span>
-        <input type="checkbox" name="email_admin_on_comment" {if ($comments.email_admin_on_comment)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Email admins when a comment requires validation'|@translate}</span>
-        <input type="checkbox" name="email_admin_on_comment_validation" {if ($comments.email_admin_on_comment_validation)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Allow users to edit their own comments'|@translate}</span>
+        {'Validation'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="user_can_edit_comment" {if ($comments.user_can_edit_comment)}checked="checked"{/if}>
-      </label>
-    </li>
-    <li>
-      <label>
-        <span class="property">{'Allow users to delete their own comments'|@translate}</span>
+        {'Allow users to edit their own comments'|@translate}
+      </label>
+    </li>
+    <li>
+      <label>
         <input type="checkbox" name="user_can_delete_comment" {if ($comments.user_can_delete_comment)}checked="checked"{/if}>
-      </label>
-    </li>
-    <li>
-      <label>
-        <span class="property">{'Email administrators when a comment is modified'|@translate}</span>
-        <input type="checkbox" name="email_admin_on_comment_edition" {if ($comments.email_admin_on_comment_edition)}checked="checked"{/if}>
-      </label>
-    </li>
-    <li>
-      <label>
-        <span class="property">{'Email administrators when a comment is deleted'|@translate}</span>
-        <input type="checkbox" name="email_admin_on_comment_deletion" {if ($comments.email_admin_on_comment_deletion)}checked="checked"{/if}>
-      </label>
-    </li>
-
+        {'Allow users to delete their own comments'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <strong>{'Notify administrators when a comment is'|@translate}</strong>
+
+      <label id="email_admin_on_comment_validation">
+        <input type="checkbox" name="email_admin_on_comment_validation" {if ($comments.email_admin_on_comment_validation)}checked="checked"{/if}> {'pending validation'|@translate}
+      </label>
+
+      <label>
+        <input type="checkbox" name="email_admin_on_comment" {if ($comments.email_admin_on_comment)}checked="checked"{/if}> {'added'|@translate}
+      </label>
+
+      <label id="email_admin_on_comment_edition">
+        <input type="checkbox" name="email_admin_on_comment_edition" {if ($comments.email_admin_on_comment_edition)}checked="checked"{/if}> {'modified'|@translate}
+      </label>
+
+      <label id="email_admin_on_comment_deletion">
+        <input type="checkbox" name="email_admin_on_comment_deletion" {if ($comments.email_admin_on_comment_deletion)}checked="checked"{/if}> {'deleted'|@translate}
+      </label>
+    </li>
   </ul>
 </fieldset>
@@ -262,9 +285,58 @@
     }
   });
+
+  /* notify on validation checkbox */
+  if (jQuery('input[name="comments_validation"]').is(':checked')) {
+    jQuery('#email_admin_on_comment_validation').show();
+  }
+  else {
+    jQuery('#email_admin_on_comment_validation').hide();
+  }
+
+  jQuery('input[name="comments_validation"]').change(function(){
+    if ($(this).is(':checked')) {
+      jQuery('#email_admin_on_comment_validation').show();
+    }
+    else {
+      jQuery('#email_admin_on_comment_validation').hide();
+    }
+  });
+
+  /* notify on edition checkbox */
+  if (jQuery('input[name="user_can_edit_comment"]').is(':checked')) {
+    jQuery('#email_admin_on_comment_edition').show();
+  }
+  else {
+    jQuery('#email_admin_on_comment_edition').hide();
+  }
+
+  jQuery('input[name="user_can_edit_comment"]').change(function(){
+    if ($(this).is(':checked')) {
+      jQuery('#email_admin_on_comment_edition').show();
+    }
+    else {
+      jQuery('#email_admin_on_comment_edition').hide();
+    }
+  });
+  
+  /* notify on deletion checkbox */
+  if (jQuery('input[name="user_can_delete_comment"]').is(':checked')) {
+    jQuery('#email_admin_on_comment_deletion').show();
+  }
+  else {
+    jQuery('#email_admin_on_comment_deletion').hide();
+  }
+
+  jQuery('input[name="user_can_delete_comment"]').change(function(){
+    if ($(this).is(':checked')) {
+      jQuery('#email_admin_on_comment_deletion').show();
+    }
+    else {
+      jQuery('#email_admin_on_comment_deletion').hide();
+    }
+  });
 });
 {/literal}{/footer_script}
 {/if}
-
-</div> <!-- configContent -->
 
 {if isset($sizes)}
@@ -314,8 +386,4 @@
 {/if}
 
-{if isset($default)}
-{$PROFILE_CONTENT}
-{/if}
-
 {if isset($display)}
 <fieldset id="indexDisplayConf">
@@ -324,6 +392,6 @@
     <li>
       <label>
-        <span class="property">{'display only recently posted photos'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
+        {'display only recently posted photos'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
       </label>
     </li>    
@@ -331,41 +399,41 @@
     <li>
       <label>
-        <span class="property">{'Activate icon "new" next to albums and pictures'|@translate}</span>
         <input type="checkbox" name="index_new_icon" {if ($display.index_new_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Sort order'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'Activate icon "new" next to albums and pictures'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'display all photos in all sub-albums'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'Sort order'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="index_flat_icon" {if ($display.index_flat_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'display a calendar by posted date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'display all photos in all sub-albums'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="index_posted_date_icon" {if ($display.index_posted_date_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'display a calendar by creation date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'display a calendar by posted date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="index_created_date_icon" {if ($display.index_created_date_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'display a calendar by creation date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="index_slideshow_icon" {if ($display.index_slideshow_icon)}checked="checked"{/if}>
+        {'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
       </label>
     </li>
@@ -378,41 +446,41 @@
     <li>
       <label>
-        <span class="property">{'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Show file metadata'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_metadata_icon" {if ($display.picture_metadata_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Download this file'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'Show file metadata'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_download_icon" {if ($display.picture_download_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'add this photo to your favorites'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        {'Download this file'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_favorite_icon" {if ($display.picture_favorite_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Activate Navigation Bar'|@translate}</span>
+        {'add this photo to your favorites'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_navigation_icons" {if ($display.picture_navigation_icons)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Activate Navigation Thumbnails'|@translate}</span>
+        {'Activate Navigation Bar'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_navigation_thumb" {if ($display.picture_navigation_thumb)}checked="checked"{/if}>
+        {'Activate Navigation Thumbnails'|@translate}
       </label>
     </li>
@@ -420,6 +488,6 @@
     <li>
       <label>
-        <span class="property">{'Show menubar'|@translate}</span>
         <input type="checkbox" name="picture_menu" {if ($display.picture_menu)}checked="checked"{/if}>
+        {'Show menubar'|@translate}
       </label>
     </li>
@@ -432,76 +500,76 @@
     <li>
       <label>
-        <span class="property">{'Author'|@translate}</span>
         <input type="checkbox" name="picture_informations[author]" {if ($display.picture_informations.author)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Created on'|@translate}</span>
+        {'Author'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[created_on]" {if ($display.picture_informations.created_on)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Posted on'|@translate}</span>
+        {'Created on'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[posted_on]" {if ($display.picture_informations.posted_on)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Dimensions'|@translate}</span>
+        {'Posted on'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[dimensions]" {if ($display.picture_informations.dimensions)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'File'|@translate}</span>
+        {'Dimensions'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[file]" {if ($display.picture_informations.file)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Filesize'|@translate}</span>
+        {'File'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[filesize]" {if ($display.picture_informations.filesize)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Tags'|@translate}</span>
+        {'Filesize'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[tags]" {if ($display.picture_informations.tags)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Albums'|@translate}</span>
+        {'Tags'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[categories]" {if ($display.picture_informations.categories)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Visits'|@translate}</span>
+        {'Albums'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[visits]" {if ($display.picture_informations.visits)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Rating score'|@translate}</span>
+        {'Visits'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[rating_score]" {if ($display.picture_informations.rating_score)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'Who can see this photo?'|@translate} ({'available for administrators only'|@translate})</span>
+        {'Rating score'|@translate}
+      </label>
+    </li>
+
+    <li>
+      <label>
         <input type="checkbox" name="picture_informations[privacy_level]" {if ($display.picture_informations.privacy_level)}checked="checked"{/if}>
+        {'Who can see this photo?'|@translate} ({'available for administrators only'|@translate})
       </label>
     </li>
@@ -517,2 +585,8 @@
 </form>
 {/if}
+
+</div> <!-- configContent -->
+
+{if isset($default)}
+{$PROFILE_CONTENT}
+{/if}
Index: trunk/admin/themes/default/theme.css
===================================================================
--- trunk/admin/themes/default/theme.css	(revision 13003)
+++ trunk/admin/themes/default/theme.css	(revision 13004)
@@ -246,61 +246,4 @@
 }
 
-FIELDSET#mainConfCheck SPAN.property,
-FIELDSET#historyConf SPAN.property,
-FIELDSET#commentsConf SPAN.property,
-FIELDSET#uploadConf SPAN.property,
-FIELDSET#indexDisplayConf SPAN.property,
-FIELDSET#pictureDisplayConf SPAN.property,
-FIELDSET#pictureInfoConf SPAN.property {
-	float: right;
-	text-align: left;
-}
-FIELDSET#mainConfCheck INPUT,
-FIELDSET#historyConf INPUT,
-FIELDSET#commentsConf INPUT,
-FIELDSET#uploadConf INPUT,
-FIELDSET#indexDisplayConf INPUT,
-FIELDSET#pictureDisplayConf INPUT,
-FIELDSET#pictureInfoConf INPUT {
-	float: none;
-}
-
-FIELDSET#mainConf SPAN.property {
-	width: 25%;
-}
-FIELDSET#mainConf TEXTAREA.description {
-	width: 70%;
-}
-
-FIELDSET#mainConfCheck SPAN.property,
-FIELDSET#historyConf SPAN.property,
-FIELDSET#indexDisplayConf SPAN.property,
-FIELDSET#pictureDisplayConf SPAN.property,
-FIELDSET#pictureInfoConf SPAN.property {
-	width: 90%;
-}
-FIELDSET#mainConfCheck INPUT,
-FIELDSET#historyConf INPUT,
-FIELDSET#commentsConf INPUT,
-FIELDSET#indexDisplayConf INPUT,
-FIELDSET#pictureDisplayConf INPUT,
-FIELDSET#pictureInfoConf INPUT {
-	margin-left: 5%;
-}
-FIELDSET#uploadConf SELECT {
-	float: right;
-	margin: 2px 10px 0px;
-}
-FIELDSET#uploadConf INPUT {
-	float: right;
-	margin: 5px 10px 0px;
-}
-FIELDSET#uploadConf SPAN.property {
-	width: 65%;
-}
-FIELDSET#commentsConf SPAN.property {
-	width: 85%;
-}
-
 .statBar {
 	height: 10px;
@@ -527,4 +470,14 @@
 	margin: 0;
 	padding: 0 0.5em 0 0;
+}
+
+#mainConf, #historyConf, #commentsConf {border:none}
+
+#configContent label {
+  font-weight: bold;
+}
+
+#mainConf li {
+  margin-bottom: 1em;
 }
 
@@ -844,5 +797,5 @@
 #helpContent P.nextStepLink {text-align:center; font-weight:bold; margin-bottom:20px;}
 
-#configContent FIELDSET, #availablePlugins FIELDSET  {border:none;}
+#availablePlugins FIELDSET  {border:none;}
 
 /**
@@ -1051,10 +1004,10 @@
 div.token-input-dropdown ul li.token-input-selected-dropdown-item {background-color: #3b5998;color: #fff;}
 
-#mainConfCheck a.addFilter {font-weight:normal;margin-left:20px;}
-#mainConfCheck a.removeFilter {font-weight:normal;}
-#mainConfCheck span.property span.filter:first-child a.removeFilter {display:none;} /* can't delete the first field */
-#mainConfCheck span.filter {display:block;margin-left:20px;}
-#mainConfCheck .transparent {opacity:0.5;filter:alpha(opacity=50);}
-#mainConfCheck .order_by_is_custom {display:block;font-weight:normal;font-style:italic;margin-left:20px;}
+#mainConf a.addFilter {font-weight:normal;margin-left:20px;}
+#mainConf a.removeFilter {font-weight:normal;}
+#mainConf span.property span.filter:first-child a.removeFilter {display:none;} /* can't delete the first field */
+#mainConf span.filter {display:block;margin-left:20px;}
+#mainConf .transparent {opacity:0.5;filter:alpha(opacity=50);}
+#mainConf .order_by_is_custom {display:block;font-weight:normal;font-style:italic;margin-left:20px;}
 
 /* Upload Form */
Index: trunk/install/config.sql
===================================================================
--- trunk/install/config.sql	(revision 13003)
+++ trunk/install/config.sql	(revision 13004)
@@ -27,5 +27,5 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_new_user','false','Send an email to theadministrators when a user registers');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_comment','false','Send an email to the administrators when a valid comment is entered');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_comment_validation','false','Send an email to the administrators when a comment requires validation');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_comment_validation','true','Send an email to the administrators when a comment requires validation');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('obligatory_user_mail_address','false','Mail address is obligatory for users');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('c13y_ignore',null,'List of ignored anomalies');
Index: trunk/language/en_UK/admin.lang.php
===================================================================
--- trunk/language/en_UK/admin.lang.php	(revision 13003)
+++ trunk/language/en_UK/admin.lang.php	(revision 13004)
@@ -836,3 +836,11 @@
 $lang['Unlock gallery'] = 'Unlock gallery';
 $lang['Gallery unlocked'] = 'Gallery unlocked';
+$lang['Notify administrators when a comment is'] = 'Notify administrators when a comment is';
+$lang['modified'] = 'modified';
+$lang['deleted'] = 'deleted';
+$lang['pending validation'] = 'pending validation';
+$lang['Save visits in history for'] = 'Save visits in history for';
+$lang['simple visitors'] = 'simple visitors';
+$lang['registered users'] = 'registered users';
+$lang['administrators'] = 'administrators';
 ?>
Index: trunk/language/fr_FR/admin.lang.php
===================================================================
--- trunk/language/fr_FR/admin.lang.php	(revision 13003)
+++ trunk/language/fr_FR/admin.lang.php	(revision 13004)
@@ -849,3 +849,11 @@
 $lang['Unlock gallery'] = 'Déverouiller la galerie';
 $lang['Gallery unlocked'] = 'Galerie déverouillée';
+$lang['Notify administrators when a comment is'] = 'Notifier les administrateurs lorsqu\'un commentaire est';
+$lang['modified'] = 'modifié';
+$lang['deleted'] = 'supprimé';
+$lang['pending validation'] = 'en attente de validation';
+$lang['Save visits in history for'] = 'Historiser les visites des ';
+$lang['simple visitors'] = 'simple visiteurs';
+$lang['registered users'] = 'utilisateurs enregistrés';
+$lang['administrators'] = 'administrateurs';
 ?>