Index: /trunk/language/zh_TW/admin.lang.php
===================================================================
--- /trunk/language/zh_TW/admin.lang.php	(revision 13005)
+++ /trunk/language/zh_TW/admin.lang.php	(revision 13006)
@@ -173,5 +173,4 @@
 $lang['You cannot move an album in its own sub album'] = '您不能將一個相冊移動到其子相冊裡';
 $lang['You need to confirm deletion'] = '你必須確認刪除操作';
-$lang['add tags'] = '增加標籤';
 $lang['Associate to album'] = '聯合到相冊';
 $lang['associate to group'] = '關聯到組';
@@ -221,6 +220,4 @@
 $lang['manage sub-albums'] = '管理子相冊';
 $lang['Manage'] = '管理';
-$lang['maximum height'] = '最高高度';
-$lang['maximum width'] = '最長長度';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超過執行時間, 處理還需時間[估計時間: %d 秒].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超過執行時間, 處理還需時間[估計時間: %d 秒].';
@@ -337,20 +334,13 @@
 $lang['User list'] = '用戶名單';
 $lang['Edit photo information'] = '修改圖片信息';
-$lang['Thumbnail creation'] = '創建縮略圖';
 $lang['Database synchronization with files'] = '根據文件來同步數據庫';
 $lang['all'] = '所有';
-$lang['photos without thumbnail (jpeg and png only)'] = '沒有縮略圖的圖片 (只有jpeg和png)';
 $lang['height must be a number superior to'] = '圖片高度必須超過(整數)';
 $lang['width must be a number superior to'] = '圖片長度必須超過(整數)';
 $lang['for the file format'] = '對於文件格式';
-$lang['No missing thumbnail'] = '沒有丟失縮略圖';
 $lang['Photo unreachable or no support'] = '不支持圖片格式或無法顯示';
 $lang['GD version'] = 'GD版';
-$lang['generated in'] = '產生於';
-$lang['Results of miniaturization'] = '縮略圖結果';
 $lang['General statistics'] = '普通統計';
-$lang['max time'] = '最多時間';
 $lang['average time'] = '平均時間';
-$lang['min time'] = '最少時間';
 $lang['number of miniaturized photos'] = '創建的縮略圖數';
 $lang['total time'] = '總共時間';
@@ -411,5 +401,4 @@
 $lang['Toggle \'default group\' property'] = '賦予\'groupe par defaut\'默認組屬性';
 $lang['Advanced features'] = '高級功能';
-$lang['Specials'] = '特殊';
 $lang['Overall'] = '全局視圖';
 $lang['Year'] = '年';
@@ -445,6 +434,4 @@
 $lang['guest'] = '來賓';
 $lang['default values'] = '默認值';
-$lang['High filesize'] = '高清文件大小';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = '不能刪除來賓';
 $lang['Default user cannot be deleted'] = '不能刪除默認用戶';
@@ -477,5 +464,4 @@
 $lang['Status of user "%s" updated'] = '用戶 "%s" 狀態已更新';
 $lang['add new photos to caddie'] = '把所有新圖片放到購物籃';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = '不顯示縮略圖';
 $lang['Classic display'] = '正常顯示';
@@ -508,5 +494,4 @@
 $lang['Are you sure you want to delete this plugin?'] = '確定要刪除此插件嗎?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '確定安裝此更新嗎? 你必須核實無需卸載操作再進行安裝此更新.';
-$lang['%s has been successfully upgraded.'] = '%s 成功更新.';
 $lang['Plugin has been successfully copied'] = '插件複製成功.';
 $lang['You might go to plugin list to install and activate it.'] = '在插件列表中安裝和啟動插件.';
@@ -636,5 +621,4 @@
 $lang['Activate Navigation Thumbnails'] = '激活縮略圖導航';
 $lang['Activate icon "%s"'] = '激活圖標 "%s"';
-$lang['Activate field "%s"'] = '激活字段 "%s"';
 $lang['Photo Properties'] = '相片屬性';
 $lang['Allow user customization'] = '允許用戶自定義';
@@ -711,5 +695,4 @@
 $lang['Duplicates'] = '重複';
 $lang['include child albums'] = '包含子相冊';
-$lang['last import'] = '最後導入';
 $lang['manual order'] = '手工排序';
 $lang['No photo in the current set.'] = '當前集合沒有相片.';
@@ -718,5 +701,4 @@
 $lang['on the %d selected photos'] = '在 %d 張已選相片上';
 $lang['Orphan tags deleted'] = '無關聯標籤已被刪除';
-$lang['predefined filter'] = '預定義的過濾器';
 $lang['Refresh photo set'] = '刷新相片集';
 $lang['Remove all filters'] = '刪除所有過濾器';
@@ -734,7 +716,4 @@
 $lang['Type here the title'] = '在此輸入標題';
 $lang['Week starts on'] = '星期起始於';
-$lang['with no album'] = '沒有相冊';
-$lang['with no tag'] = '沒有標籤';
-$lang['with no virtual album'] = '沒有虛擬相冊';
 $lang['You have %d orphan tags: %s.'] = '您已 %d 無關聯標籤: %s.';
 $lang['Remove from caddie'] = '從購物藍裡移除';
@@ -777,3 +756,4 @@
 $lang['%s photos have been regenerated'] = '%s圖片製作完成';
 $lang['%s photos can not be regenerated'] = '無法製作%s圖片';
+$lang['Add to caddie'] = '放入購物籃';
 ?>
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 13005)
+++ /trunk/language/zh_TW/common.lang.php	(revision 13006)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = '關於Piwigo';
 $lang['You are not authorized to access the requested page'] = '你無權訪問此頁';
-$lang['Add to caddie'] = '放入購物籃';
 $lang['add this photo to your favorites'] = '把圖片放到收藏夾';
 $lang['Administration'] = '管理員';
@@ -363,4 +362,23 @@
 $lang['Enter your new password below.'] = '在下方輸入您的新密碼';
 $lang['EXIF Metadata'] = 'EXIF 元數據';
-$lang['IPTC Metadata'] = 'IPTC 元數據'; 
+$lang['IPTC Metadata'] = 'IPTC 元數據';
+$lang['Edit'] = '編輯';
+$lang['Hello %s,'] = '您好 %s,';
+$lang['Send my connection settings by email'] = '利用電子郵件發送我的連結設定';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = '註冊成功！您將收到電子郵件，內含您的連接設定。歡迎加入！';
+$lang['Username modification'] = '用戶名稱修改';
+$lang['Your username has been successfully changed to : %s'] = '您的用戶名稱已成功修改為 : %s';
+$lang['square'] = '正方形';
+$lang['thumb'] = '小圖';
+$lang['small'] = '小';
+$lang['medium'] = '中';
+$lang['large'] = '大';
+$lang['xlarge'] = 'XL';
+$lang['xxlarge'] = 'XXL';
+$lang['original'] = '原始大小';
+$lang['Thank you for registering at %s!'] = '感謝您在%s!註冊';
+$lang['Here are your connection settings'] = '以下是您的連結設定';
+$lang['Password: %s'] = '密碼: %s';
+$lang['Username: %s'] = '用戶名稱: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = ' 如您認為此電子郵件之發送為錯誤，請聯繫我們：%s';
 ?>