Index: trunk/language/th_TH/admin.lang.php
===================================================================
--- trunk/language/th_TH/admin.lang.php	(revision 12979)
+++ trunk/language/th_TH/admin.lang.php	(revision 13007)
@@ -92,5 +92,4 @@
 $lang['Action'] = 'การกระทำ';
 $lang['Actions'] = "การกระทำ";
-$lang['Activate field "%s"'] = 'เปิดใช้งานฟิลด์ "%s"';
 $lang['Activate icon "%s"'] = 'เปิดใช้งานไอคอน "%s"';
 $lang['Activate Navigation Bar'] = 'เปิดใช้งานแถบเนวิเกเตอร์';
@@ -292,5 +291,4 @@
 $lang['generate file listing.xml on remote site'] = "generate file listing.xml on the remote site";
 $lang['generate listing'] = "กำลังสร้างรายการ";
-$lang['generated in'] = "ถูกสร้างใน";
 $lang['Get Support on Piwigo Forum'] = 'ขอรับการสนับสนุนของ Piwigo จากฟอรั่ม Piwigo';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation';
@@ -318,5 +316,4 @@
 $lang['High definition enabled'] = "การแสดงผลความละเอียดสูงได้ถูกเปิดใช้งานแล้ว";
 $lang['High definition'] = "ความละเอียดสูง";
-$lang['High filesize'] = "ขนาดไฟล์เดิม";
 $lang['high'] = "ความสูง";
 $lang['History'] = "ประวัติ";
@@ -397,8 +394,5 @@
 $lang['Manual order'] = 'คำสั่งกำหนดเอง';
 $lang['manual order'] = 'คำสั่งกำหนดเอง';
-$lang['max time'] = "เวลาสูงสุด";
-$lang['maximum height'] = "ความสูงสูงสุด";
 $lang['Maximum Height'] = 'ความสูงสูงสุด';
-$lang['maximum width'] = "ความกว้างสูงสุด";
 $lang['Maximum Width'] = 'ความกว้างสูงสุด';
 $lang['Members'] = "สมาชิก";
@@ -406,5 +400,4 @@
 $lang['Metadata synchronization results'] = "ผลลัพธ์การซิงโคไนซ์เมตาดาต้า";
 $lang['Metadata synchronized from file'] = "ได้ถูกซิงโคไนซ์เมตาดาต้าจากไฟล์";
-$lang['min time'] = "เวลาต่ำสุด";
 $lang['Minimum privacy level'] = "ระดับของความเป็นส่วนตัวน้อยที่สุด";
 $lang['Miscellaneous'] = 'เบ็ดเตล็จ';
@@ -426,5 +419,4 @@
 $lang['No file was uploaded'] = 'ไม่มีไฟล์ที่ถูกอัพโหลด';
 $lang['No mail to send.'] = "ไม่มีเมลที่ถูกส่ง.";
-$lang['No missing thumbnail'] = "ไม่มีรูปภาพขนาดย่อที่ขาดหายไป";
 $lang['No photo can be deleted'] = "ไม่มีรูปที่สามารถลบได้";
 $lang['No photo in the current set.'] = 'ไม่มีรูปภาพในชุดปัจจุบันนี้.';
@@ -492,5 +484,4 @@
 $lang['Photo informations updated'] = "ข้อมูลรูปภาพได้ถูกบันทึกแล้ว";
 $lang['Photo unreachable or no support'] = "รูปภาพไม่สามารถเข้าถึงได้ หรือรูปแบบ ไม่สนับสนุน";
-$lang['photos without thumbnail (jpeg and png only)'] = "ประเภทรูปภาพที่ไม่ต้องมีรูปภาพขนาดย่อ (jpeg และ png เท่านั้น)";
 $lang['Piwigo Administration'] = "การจัดการระบบ Piwigo";
 $lang['Piwigo Announcements Newsletter'] = "ข่าวสารและประกาศของ Piwigo";
@@ -502,5 +493,4 @@
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = "กรุณตรวจสอบโฟลเดอร์ \"plugins\" การกำหนดสิทธิ์การเข้าถึงทั้งโฟลเดอร์หลัก และโฟลเดอร์ย่อย (CHMOD).";
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader คือโปรแกรม <em>ตัวช่วยอัพโหลด Piwigo</em>. จากคอมพิวเตอร์ของคุณ, pLoader จะเตรียมรูปภาพของคุณพร้อมกับส่งไปยังแกลลอรี่ Piwigo.';
-$lang['Plugin has been successfully copied'] = "ปลั๊กอินถูกคัดลอกเรียบร้อยแล้ว";
 $lang['Plugin list'] = "รายการปลั๊กอิน";
 $lang['Plugins which need upgrade'] = "ปลั๊กอินต้องการการอัพเกรด";
@@ -559,5 +549,4 @@
 $lang['Restore'] = "คืนค่า";
 $lang['Restore default configuration. You will lose your plugin settings!'] = "คืนค่าการตั้งค่าปกติ. คุณอาจจะสูญเสียการตั้งค่าต่างๆ ของปลั๊กอิน!";
-$lang['Results of miniaturization'] = "ผลของการประมวลผลทำให้ขนาดเล็กลง";
 $lang['Save order'] = "บันทึกคำสั่ง";
 $lang['Save page visits by administrators'] = "บันทึกการเข้าชมหน้าโดยผู้ดูแลระบบ";
@@ -656,5 +645,4 @@
 $lang['This site already exists'] = "ที่อยู่นี้ได้มีอยู่แล้ว";
 $lang['This theme was not designed to be directly activated'] = 'ธีมนี้ไม่สามารถปรับแต่งได้ เนื่องจากมีการเปิดการใช้งานอยู่';
-$lang['Thumbnail creation'] = "การสร้างรูปภาพขนาดย่อ";
 $lang['Thumbnail'] = "รูปภาพขนาดย่อ";
 $lang['Thumbnail'] = 'รูปภาพขนาดย่อ';
@@ -798,5 +786,4 @@
 $lang['Height'] = 'สูง';
 $lang['Follow Orientation'] = 'การติดตามแนวโน้ม';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'ถ้าคุณต้องการสร้างรูปภาพขนาดย่อ, โปรดเข้าไปยัง <a href="%s">การจัดการระบบ</a>.';
 $lang['Graphics Library'] = 'กราฟฟิค ไลบราลี่';
 $lang['... or '] = '... หรือ ';
Index: trunk/language/th_TH/common.lang.php
===================================================================
--- trunk/language/th_TH/common.lang.php	(revision 12979)
+++ trunk/language/th_TH/common.lang.php	(revision 13007)
@@ -1,3 +1,3 @@
-<?php
+﻿<?php
 // +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
@@ -358,4 +358,27 @@
 $lang['EXIF Metadata'] = 'ข้อมูล EXIF';
 $lang['IPTC Metadata'] = 'ข้อมูล IPTC';
+$lang['Download this file'] = 'ดาวน์โหลดไฟล์นี้';
+$lang['Download'] = 'ดาวน์โหลด';
+$lang['Edit'] = 'แก้ไข';
+$lang['Hello %s,'] = 'สวัสดี %s,';
+$lang['Search by date'] = 'ค้นหาตามวัน';
+$lang['Search for any term'] = 'ค้นหาคำใด ๆ';
+$lang['Send my connection settings by email'] = 'ส่งการตั้งค่าการเชื่อมต่อของฉันโดยทางอีเมล์';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'การลงทะเบียนสำเร็จแล้ว, และคุณจะได้รับอีเมลที่มีการตั้งค่าการเชื่อมต่อของคุณ ยินดีต้อนรับ!';
+$lang['Username modification'] = 'การปรับเปลี่ยนชื่อผู้ใช้';
+$lang['Your username has been successfully changed to : %s'] = 'ชื่อผู้ใช้งานคุณได้ถูกเปลี่ยนเป็น : %s เรียบร้อยแล้ว';
+$lang['square'] = 'สี่เหลี่ยม';
+$lang['thumb'] = 'ภาพตัวอย่าง';
+$lang['small'] = 'เล็ก';
+$lang['medium'] = 'กลาง';
+$lang['large'] = 'ใหญ่';
+$lang['xlarge'] = 'ใหญ่กว่า';
+$lang['xxlarge'] = 'ใหญ่มาก';
+$lang['original'] = 'ขนาดดั้งเดิม';
+$lang['Thank you for registering at %s!'] = 'ขอบคุณสำหรับการลงทะเบียนที่ %s!';
+$lang['Here are your connection settings'] = 'นี่คือการตั้งค่าการเชื่อมต่อของคุณ';
+$lang['Password: %s'] = 'รหัสผ่าน: %s';
+$lang['Username: %s'] = 'ชื่อผู้ใช้งาน: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'ถ้าคุณไม่ได้รับอีเมล์ หรือหากได้รับอีเมล์ที่ไม่ถูกต้อง, โปรดติดต่อเราที่ %s';
 
 ?>