Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 13012)
+++ /trunk/admin.php	(revision 13013)
@@ -115,4 +115,16 @@
   $_GET['page'] = 'plugin';
   $_GET['section'] = $matches[1].'/admin.php';
+  if (isset($matches[2]))
+  {
+    $_GET['tab'] = $matches[2];
+  }
+}
+
+// ?page=album-134-properties is an clean alias of
+// ?page=album&cat_id=134&tab=properties
+if (isset($_GET['page']) and preg_match('/^album-(\d+)(?:-(.*))?$/', $_GET['page'], $matches))
+{
+  $_GET['page'] = 'album';
+  $_GET['cat_id'] = $matches[1];
   if (isset($matches[2]))
   {
Index: /trunk/admin/album.php
===================================================================
--- /trunk/admin/album.php	(revision 13013)
+++ /trunk/admin/album.php	(revision 13013)
@@ -0,0 +1,92 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if( !defined("PHPWG_ROOT_PATH") )
+{
+  die ("Hacking attempt!");
+}
+
+// +-----------------------------------------------------------------------+
+// | Basic checks                                                          |
+// +-----------------------------------------------------------------------+
+
+check_status(ACCESS_ADMINISTRATOR);
+
+check_input_parameter('cat_id', $_GET, false, PATTERN_ID);
+
+$admin_album_base_url = get_root_url().'admin.php?page=album-'.$_GET['cat_id'];
+
+$query = '
+SELECT *
+  FROM '.CATEGORIES_TABLE.'
+  WHERE id = '.$_GET['cat_id'].'
+;';
+$category = pwg_db_fetch_assoc(pwg_query($query));
+
+// +-----------------------------------------------------------------------+
+// | Tabs                                                                  |
+// +-----------------------------------------------------------------------+
+
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+
+$page['tab'] = 'properties';
+
+if (isset($_GET['tab']))
+{
+  $page['tab'] = $_GET['tab'];
+}
+
+$tabsheet = new tabsheet();
+$tabsheet->add('properties', l10n('Properties'), $admin_album_base_url.'-properties');
+$tabsheet->add('sort_order', l10n('Manage photo ranks'), $admin_album_base_url.'-sort_order');
+
+if ('private' == $category['status'])
+{
+  $tabsheet->add('permissions', l10n('Permissions'), $admin_album_base_url.'-permissions');
+}
+
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// +-----------------------------------------------------------------------+
+// | Load the tab                                                          |
+// +-----------------------------------------------------------------------+
+
+if ('properties' == $page['tab'])
+{
+  include(PHPWG_ROOT_PATH.'admin/cat_modify.php');
+}
+elseif ('sort_order' == $page['tab'])
+{
+  include(PHPWG_ROOT_PATH.'admin/element_set_ranks.php');
+}
+elseif ('permissions' == $page['tab'])
+{
+  $_GET['cat'] = $_GET['cat_id'];
+  include(PHPWG_ROOT_PATH.'admin/cat_perm.php');
+}
+else
+{
+  include(PHPWG_ROOT_PATH.'admin/album_'.$page['tab'].'.php');
+}
+?>
Index: /trunk/admin/cat_list.php
===================================================================
--- /trunk/admin/cat_list.php	(revision 13012)
+++ /trunk/admin/cat_list.php	(revision 13013)
@@ -298,5 +298,5 @@
 
       'U_CHILDREN' => $cat_list_url.'&amp;parent_id='.$category['id'],
-      'U_EDIT'     => $base_url.'cat_modify&amp;cat_id='.$category['id'],
+      'U_EDIT'     => $base_url.'album-'.$category['id'],
 
       'IS_VIRTUAL' => empty($category['dir'])
Index: /trunk/admin/cat_modify.php
===================================================================
--- /trunk/admin/cat_modify.php	(revision 13012)
+++ /trunk/admin/cat_modify.php	(revision 13013)
@@ -164,5 +164,8 @@
   }
 
-  array_push($page['infos'], l10n('Album updated successfully'));
+  // we redirect to hide/show the "permissions" tab if the category status
+  // has changed
+  $_SESSION['page_infos'] = array(l10n('Album updated successfully'));
+  redirect($admin_album_base_url);
 }
 elseif (isset($_POST['set_random_representant']))
@@ -179,73 +182,5 @@
   pwg_query($query);
 }
-elseif (isset($_POST['submitAdd']))
-{
-  $output_create = create_virtual_category(
-    $_POST['virtual_name'],
-    (0 == $_POST['parent'] ? null : $_POST['parent'])
-    );
-
-  if (isset($output_create['error']))
-  {
-    array_push($page['errors'], $output_create['error']);
-  }
-  else
-  {
-    // Virtual album creation succeeded
-    //
-    // Add the information in the information list
-    array_push($page['infos'], $output_create['info']);
-
-    // Link the new category to the current category
-    associate_categories_to_categories(
-      array($_GET['cat_id']),
-      array($output_create['id'])
-      );
-
-    // information
-    array_push(
-      $page['infos'],
-      sprintf(
-        l10n('Album photos associated to the following albums: %s'),
-        '<ul><li>'
-        .get_cat_display_name_from_id($output_create['id'])
-        .'</li></ul>'
-        )
-      );
-  }
-}
-elseif (isset($_POST['submitDestinations'])
-         and isset($_POST['destinations'])
-         and count($_POST['destinations']) > 0)
-{
-  associate_categories_to_categories(
-    array($_GET['cat_id']),
-    $_POST['destinations']
-    );
-
-  $category_names = array();
-  foreach ($_POST['destinations'] as $category_id)
-  {
-    array_push(
-      $category_names,
-      get_cat_display_name_from_id($category_id)
-      );
-  }
-
-  array_push(
-    $page['infos'],
-    sprintf(
-      l10n('Album photos associated to the following albums: %s'),
-      '<ul><li>'.implode('</li><li>', $category_names).'</li></ul>'
-      )
-    );
-}
-
-$query = '
-SELECT *
-  FROM '.CATEGORIES_TABLE.'
-  WHERE id = '.$_GET['cat_id'].'
-;';
-$category = pwg_db_fetch_assoc( pwg_query( $query ) );
+
 // nullable fields
 foreach (array('comment','dir','site_id', 'id_uppercat') as $nullable)
@@ -269,11 +204,11 @@
 $navigation = get_cat_display_name_cache(
   $category['uppercats'],
-  get_root_url().'admin.php?page=cat_modify&amp;cat_id='
+  get_root_url().'admin.php?page=album-'
   );
 
-$form_action = get_root_url().'admin.php?page=cat_modify&amp;cat_id='.$_GET['cat_id'];
+$form_action = $admin_album_base_url.'-properties';
 
 //----------------------------------------------------- template initialization
-$template->set_filename( 'categories', 'cat_modify.tpl');
+$template->set_filename( 'album_properties', 'cat_modify.tpl');
 
 $base_url = get_root_url().'admin.php?page=';
@@ -304,6 +239,4 @@
       ),
 
-    'MAIL_CONTENT' => empty($_POST['mail_content'])
-        ? '' : stripslashes($_POST['mail_content']),
     'U_CHILDREN' => $cat_list_url.'&amp;parent_id='.$category['id'],
     'U_HELP' => get_root_url().'admin/popuphelp.php?page=cat_modify',
@@ -318,12 +251,4 @@
 }
 
-
-if ('private' == $category['status'])
-{
-  $template->assign( 'U_MANAGE_PERMISSIONS',
-      $base_url.'cat_perm&amp;cat='.$category['id']
-    );
-}
-
 // manage album elements link
 if ($category['has_images'])
@@ -333,5 +258,40 @@
     $base_url.'batch_manager&amp;cat='.$category['id']
     );
-}
+
+  $query = '
+SELECT
+    COUNT(image_id),
+    MIN(DATE(date_available)),
+    MAX(DATE(date_available))
+  FROM '.IMAGES_TABLE.'
+    JOIN '.IMAGE_CATEGORY_TABLE.' ON image_id = id
+  WHERE category_id = '.$category['id'].'
+;';
+  list($image_count, $min_date, $max_date) = pwg_db_fetch_row(pwg_query($query));
+
+  if ($min_date == $max_date)
+  {
+    $intro = sprintf(
+      l10n('This album contains %d photos, added on %s.'),
+      $image_count,
+      format_date($min_date)
+      );
+  }
+  else
+  {
+    $intro = sprintf(
+      l10n('This album contains %d photos, added between %s and %s.'),
+      $image_count,
+      format_date($min_date),
+      format_date($max_date)
+      );
+  }
+}
+else
+{
+  $intro = l10n('This album contains no photo.');
+}
+
+$template->assign('INTRO', $intro);
 
 $template->assign(
@@ -353,7 +313,5 @@
   $template->assign(
     array(
-      'CAT_FULL_DIR'       => preg_replace('/\/$/',
-                                    '',
-                                    $category['cat_full_dir'] )
+      'CAT_FULL_DIR' => preg_replace('/\/$/', '', $category['cat_full_dir'])
       )
     );
@@ -431,143 +389,7 @@
 }
 
-
-// create virtual in parent and link
-$query = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-;';
-display_select_cat_wrapper(
-  $query,
-  array(),
-  'create_new_parent_options'
-  );
-
-
-// destination categories
-$query = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-  WHERE id != '.$category['id'].'
-;';
-display_select_cat_wrapper(
-  $query,
-  array(),
-  'category_destination_options'
-  );
-
-// info by email to an access granted group of category informations
-if (isset($_POST['submitEmail']) and !empty($_POST['group']))
-{
-  set_make_full_url();
-
-  /* TODO: if $category['representative_picture_id']
-    is empty find child representative_picture_id */
-  if (!empty($category['representative_picture_id']))
-  {
-    $query = '
-SELECT id, file, path, representative_ext
-  FROM '.IMAGES_TABLE.'
-  WHERE id = '.$category['representative_picture_id'].'
-;';
-
-    $result = pwg_query($query);
-    if (pwg_db_num_rows($result) > 0)
-    {
-      $element = pwg_db_fetch_assoc($result);
-
-      $img_url  = '<a href="'.
-                      make_picture_url(array(
-                          'image_id' => $element['id'],
-                          'image_file' => $element['file'],
-                          'category' => $category
-                        ))
-                      .'" class="thumblnk"><img src="'.DerivativeImage::thumb_url($element).'"></a>';
-    }
-  }
-
-  if (!isset($img_url))
-  {
-    $img_url = '';
-  }
-
-  // TODO Mettre un array pour traduction subjet
-  pwg_mail_group(
-    $_POST['group'],
-    get_str_email_format(true), /* TODO add a checkbox in order to choose format*/
-    get_l10n_args('[%s] Visit album %s',
-      array($conf['gallery_title'], $category['name'])),
-    'cat_group_info',
-    array
-    (
-      'IMG_URL' => $img_url,
-      'CAT_NAME' => $category['name'],
-      'LINK' => make_index_url(
-          array(
-            'category' => array(
-              'id' => $category['id'],
-              'name' => $category['name'],
-              'permalink' => $category['permalink']
-              ))),
-      'CPL_CONTENT' => empty($_POST['mail_content'])
-                          ? '' : stripslashes($_POST['mail_content'])
-    ),
-    '' /* TODO Add listbox in order to choose Language selected */);
-
-  unset_make_full_url();
-
-  $query = '
-SELECT
-    name
-  FROM '.GROUPS_TABLE.'
-  WHERE id = '.$_POST['group'].'
-;';
-  list($group_name) = pwg_db_fetch_row(pwg_query($query));
-
-  array_push(
-    $page['infos'],
-    sprintf(
-      l10n('An information email was sent to group "%s"'),
-      $group_name
-      )
-    );
-}
-
-if ('private' == $category['status'])
-{
-  $query = '
-SELECT
-    group_id
-  FROM '.GROUP_ACCESS_TABLE.'
-  WHERE cat_id = '.$category['id'].'
-;';
-}
-else
-{
-  $query = '
-SELECT
-    id AS group_id
-  FROM '.GROUPS_TABLE.'
-;';
-}
-$group_ids = array_from_query($query, 'group_id');
-
-if (count($group_ids) > 0)
-{
-  $query = '
-SELECT
-    id,
-    name
-  FROM '.GROUPS_TABLE.'
-  WHERE id IN ('.implode(',', $group_ids).')
-  ORDER BY name ASC
-;';
-  $template->assign('group_mail_options',
-      simple_hash_from_query($query, 'id', 'name')
-    );
-}
-
 trigger_action('loc_end_cat_modify');
 
 //----------------------------------------------------------- sending html code
-$template->assign_var_from_handle('ADMIN_CONTENT', 'categories');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'album_properties');
 ?>
Index: /trunk/admin/cat_perm.php
===================================================================
--- /trunk/admin/cat_perm.php	(revision 13012)
+++ /trunk/admin/cat_perm.php	(revision 13013)
@@ -167,8 +167,8 @@
       get_cat_display_name_from_id(
         $page['cat'],
-        'admin.php?page=cat_modify&amp;cat_id='
+        'admin.php?page=album-'
         ),
     'U_HELP' => get_root_url().'admin/popuphelp.php?page=cat_perm',
-    'F_ACTION' => get_root_url().'admin.php?page=cat_perm&amp;cat='.$page['cat']
+    'F_ACTION' => $admin_album_base_url.'-permissions',
     )
   );
Index: /trunk/admin/element_set_ranks.php
===================================================================
--- /trunk/admin/element_set_ranks.php	(revision 13012)
+++ /trunk/admin/element_set_ranks.php	(revision 13013)
@@ -181,5 +181,5 @@
 $navigation = get_cat_display_name_cache(
   $category['uppercats'],
-  get_root_url().'admin.php?page=cat_modify&amp;cat_id='
+  get_root_url().'admin.php?page=album-'
   );
 
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 13012)
+++ /trunk/admin/include/functions.php	(revision 13013)
@@ -1992,4 +1992,5 @@
       return 0;
 
+    case 'album':
     case 'cat_list':
     case 'cat_modify':
Index: /trunk/admin/include/photos_add_direct_process.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_process.inc.php	(revision 13012)
+++ /trunk/admin/include/photos_add_direct_process.inc.php	(revision 13013)
@@ -253,5 +253,5 @@
 ;';
     list($count) = pwg_db_fetch_row(pwg_query($query));
-    $category_name = get_cat_display_name_from_id($category_id, 'admin.php?page=cat_modify&amp;cat_id=');
+    $category_name = get_cat_display_name_from_id($category_id, 'admin.php?page=album-');
     
     // information
Index: /trunk/admin/picture_modify.php
===================================================================
--- /trunk/admin/picture_modify.php	(revision 13012)
+++ /trunk/admin/picture_modify.php	(revision 13013)
@@ -361,5 +361,5 @@
     get_cat_display_name_cache(
       $row['uppercats'],
-      get_root_url().'admin.php?page=cat_modify&amp;cat_id=',
+      get_root_url().'admin.php?page=album-',
       false
       );
Index: /trunk/admin/themes/default/template/cat_modify.tpl
===================================================================
--- /trunk/admin/themes/default/template/cat_modify.tpl	(revision 13012)
+++ /trunk/admin/themes/default/template/cat_modify.tpl	(revision 13013)
@@ -1,31 +1,5 @@
-
-{include file='include/autosize.inc.tpl'}
-{include file='include/resize.inc.tpl'}
-
 <div class="titrePage">
-  <h2>{'Edit album'|@translate}</h2>
+  <h2><span style="letter-spacing:0">{$CATEGORIES_NAV}</span> &#8250; {'Edit album'|@translate} {$TABSHEET_TITLE}</h2>
 </div>
-
-<h3>{$CATEGORIES_NAV}</h3>
-
-<ul class="categoryActions">
-  {if cat_admin_access($CAT_ID)}
-  <li><a href="{$U_JUMPTO}" title="{'jump to album'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_jump-to.png" alt="{'jump to album'|@translate}"></a></li>
-  {/if}
-  {if isset($U_MANAGE_ELEMENTS) }
-  <li><a href="{$U_MANAGE_ELEMENTS}" title="{'manage album photos'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_elements.png" alt="{'Photos'|@translate}"></a></li>
-  {/if}
-  <li><a href="{$U_MANAGE_RANKS}" title="{'Manage photo ranks'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/ranks.png" alt="{'ranks'|@translate}"></a></li>
-  <li><a href="{$U_CHILDREN}" title="{'manage sub-albums'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_children.png" alt="{'sub-albums'|@translate}"></a></li>
-  {if isset($U_MANAGE_PERMISSIONS) }
-  <li><a href="{$U_MANAGE_PERMISSIONS}" title="{'Edit album permissions'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_permissions.png" alt="{'Permissions'|@translate}"></a></li>
-  {/if}
-  {if isset($U_SYNC) }
-  <li><a href="{$U_SYNC}" title="{'Synchronize'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/synchronize.png" alt="{'Synchronize'|@translate}"></a></li>
-  {/if}
-  {if isset($U_DELETE) }
-  <li><a href="{$U_DELETE}" title="{'delete album'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_delete.png" alt="{'delete album'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"></a></li>
-  {/if}
-</ul>
 
 <form action="{$F_ACTION}" method="POST" id="catModify">
@@ -33,177 +7,102 @@
 <fieldset>
   <legend>{'Informations'|@translate}</legend>
-  <table>
 
-    {if isset($CAT_FULL_DIR) }
+  <table style="width:100%">
     <tr>
-      <td><strong>{'Directory'|@translate}</strong></td>
-      <td class="row1">{$CAT_FULL_DIR}</td>
-    </tr>
-    {/if}
-    
-    <tr>
-      <td><strong>{'Name'|@translate}</strong></td>
-      <td>
-        <input type="text" class="large" name="name" value="{$CAT_NAME}" maxlength="60">
+      <td style="width:1%;padding-right:10px;text-align:center;">
+{if isset($representant) }
+  {if isset($representant.picture) }
+        <a href="{$representant.picture.URL}"><img src="{$representant.picture.SRC}" alt="" style="border:2px solid #ddd"></a>
+  {else}
+        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_representant_random.png" alt="{'Random photo'|@translate}">
+  {/if}
+
+  {if $representant.ALLOW_SET_RANDOM }
+        <p style="text-align:center;"><input class="submit" type="submit" name="set_random_representant" value="Refresh" title="{'Find a new representant by random'|@translate}"></p>
+  {/if}
+
+  {if isset($representant.ALLOW_DELETE) }
+        <p><input class="submit" type="submit" name="delete_representant" value="{'Delete Representant'|@translate}"></p>
+  {/if}
+{/if}
       </td>
-    </tr>
-    <tr>
-      <td><strong>{'Description'|@translate}</strong></td>
-      <td>
-        <textarea cols="50" rows="5" name="comment" id="comment" class="description">{$CAT_COMMENT}</textarea>
-      </td>
-    </tr>
-  </table>
-</fieldset>
 
-{if isset($move_cat_options) }
-<fieldset id="move">
-  <legend>{'Move'|@translate}</legend>
-  {'Parent album'|@translate}
-  <select class="categoryDropDown" name="parent">
-    <option value="0">------------</option>
-    {html_options options=$move_cat_options selected=$move_cat_options_selected }
-  </select>
-</fieldset>
+      <td style="vertical-align:top;border-left:2px solid #ddd;padding-left:10px;">
+<p>{$INTRO}</p>
+<ul style="padding-left:15px;">
+{if cat_admin_access($CAT_ID)}
+  <li><a href="{$U_JUMPTO}">{'jump to album'|@translate} →</a></li>
 {/if}
 
-<fieldset id="options">
-  <legend>{'Options'|@translate}</legend>
-  <table>
-    <tr>
-      <td><strong>{'Access type'|@translate}</strong>
-      <td>
-        {html_radios name='status' values=$status_values output=$status_values|translate selected=$CAT_STATUS}
-      </td>
-    </tr>
-    <tr>
-      <td><strong>{'Lock'|@translate}</strong>
-      <td>
-        {html_radios name='visible' values='true,false'|@explode output='No,Yes'|@explode|translate selected=$CAT_VISIBLE}
-      </td>
-    </tr>
-  {if isset($CAT_COMMENTABLE)}
-    <tr>
-      <td><strong>{'Comments'|@translate}</strong>
-      <td>
-        {html_radios name='commentable' values='false,true'|@explode output='No,Yes'|@explode|translate selected=$CAT_COMMENTABLE}
-      </td>
-    </tr>
-  {/if}
-  </table>
-</fieldset>
-
-<p style="text-align:center;">
-  <input class="submit" type="submit" value="{'Submit'|@translate}" name="submit">
-  <input class="submit" type="reset" value="{'Reset'|@translate}" name="reset">
-</p>
-
-{if isset($representant) }
-<fieldset id="representant">
-  <legend>{'Representant'|@translate}</legend>
-  <table>
-    <tr>
-      <td align="center">
-        {if isset($representant.picture) }
-        <a href="{$representant.picture.URL}"><img src="{$representant.picture.SRC}" alt=""></a>
-        {else}
-        <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_representant_random.png" alt="{'Random photo'|@translate}">
-        {/if}
-      </td>
-      <td>
-        {if $representant.ALLOW_SET_RANDOM }
-        <p><input class="submit" type="submit" name="set_random_representant" value="{'Find a new representant by random'|@translate}"></p>
-        {/if}
-
-        {if isset($representant.ALLOW_DELETE) }
-        <p><input class="submit" type="submit" name="delete_representant" value="{'Delete Representant'|@translate}"></p>
-        {/if}
-      </td>
-    </tr>
-  </table>
-</fieldset>
+{if isset($U_MANAGE_ELEMENTS) }
+  <li><a href="{$U_MANAGE_ELEMENTS}">{'manage album photos'|@translate}</a></li>
 {/if}
 
-</form>
+  <li><a href="{$U_CHILDREN}">{'manage sub-albums'|@translate}</a></li>
 
-<form action="{$F_ACTION}" method="POST" id="links">
+{if isset($U_SYNC) }
+  <li><a href="{$U_SYNC}">{'Synchronize'|@translate}</a> ({'Directory'|@translate} = {$CAT_FULL_DIR})</li>
+{/if}
 
-<fieldset id="linkAllNew">
-  <legend>{'Link all album photos to a new album'|@translate}</legend>
+{if isset($U_DELETE) }
+  <li><a href="{$U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');">{'delete album'|@translate}</a></li>
+{/if}
 
-  <table>
-    <tr>
-      <td>{'Virtual album name'|@translate}</td>
-      <td><input type="text" class="large" name="virtual_name"></td>
-    </tr>
-
-    <tr>
-      <td>{'Parent album'|@translate}</td>
-      <td>
-        <select class="categoryDropDown" name="parent">
-          <option value="0">------------</option>
-          {html_options options=$create_new_parent_options }
-        </select>
+</ul>
       </td>
     </tr>
   </table>
 
+</fieldset>
+
+<fieldset>
+  <legend>{'Properties'|@translate}</legend>
   <p>
-    <input class="submit" type="submit" value="{'Submit'|@translate}" name="submitAdd">
-    <input class="submit" type="reset" value="{'Reset'|@translate}" name="reset">
+    <strong>{'Name'|@translate}</strong>
+    <br>
+    <input type="text" class="large" name="name" value="{$CAT_NAME}" maxlength="60">
   </p>
 
+  <p>
+    <strong>{'Description'|@translate}</strong>
+    <br>
+    <textarea cols="50" rows="5" name="comment" id="comment" class="description">{$CAT_COMMENT}</textarea>
+  </p>
+
+{if isset($move_cat_options) }
+  <p>
+    <strong>{'Parent album'|@translate}</strong>
+    <br>
+    <select class="categoryDropDown" name="parent">
+      <option value="0">------------</option>
+      {html_options options=$move_cat_options selected=$move_cat_options_selected }
+    </select>
+  </p>
+{/if}
+
+  <p>
+    <strong>{'Access type'|@translate}</strong>
+    <br>
+    {html_radios name='status' values=$status_values output=$status_values|translate selected=$CAT_STATUS}
+  </p>
+
+  <p>
+    <strong>{'Lock'|@translate}</strong>
+    <br>
+    {html_radios name='visible' values='true,false'|@explode output='No,Yes'|@explode|translate selected=$CAT_VISIBLE}
+  </p>
+
+  {if isset($CAT_COMMENTABLE)}
+  <p>
+    <strong>{'Comments'|@translate}</strong>
+    <br>
+    {html_radios name='commentable' values='false,true'|@explode output='No,Yes'|@explode|translate selected=$CAT_COMMENTABLE}
+  </p>
+  {/if}
+
+  <p style="margin:0">
+    <input class="submit" type="submit" value="{'Save Settings'|@translate}" name="submit">
+  </p>
 </fieldset>
 
-<fieldset id="linkAllExist">
-  <legend>{'Link all album photos to some existing albums'|@translate}</legend>
-
-  <table>
-    <tr>
-      <td>{'Albums'|@translate}</td>
-      <td>
-        <select class="categoryList" name="destinations[]" multiple="multiple" size="5">
-          {html_options options=$category_destination_options }
-        </select>
-      </td>
-    </tr>
-  </table>
-
-  <p>
-    <input class="submit" type="submit" value="{'Submit'|@translate}" name="submitDestinations">
-    <input class="submit" type="reset" value="{'Reset'|@translate}" name="reset">
-  </p>
-
-</fieldset>
-
-{if isset($group_mail_options)}
-<fieldset id="emailCatInfo">
-  <legend>{'Send an information email to group members'|@translate}</legend>
-
-  <table>
-    <tr>
-      <td><strong>{'Group'|@translate}</strong></td>
-      <td>
-        <select name="group">
-          {html_options options=$group_mail_options}
-        </select>
-      </td>
-    </tr>
-    <tr>
-      <td><strong>{'Mail content'|@translate}</strong></td>
-      <td>
-        <textarea cols="50" rows="5" name="mail_content" id="mail_content" class="description">{$MAIL_CONTENT}</textarea>
-      </td>
-    </tr>
-
-  </table>
-
-  <p>
-    <input class="submit" type="submit" value="{'Submit'|@translate}" name="submitEmail">
-    <input class="submit" type="reset" value="{'Reset'|@translate}" name="reset">
-  </p>
-
-</fieldset>
-{/if}
-
 </form>
Index: /trunk/admin/themes/default/template/cat_perm.tpl
===================================================================
--- /trunk/admin/themes/default/template/cat_perm.tpl	(revision 13012)
+++ /trunk/admin/themes/default/template/cat_perm.tpl	(revision 13013)
@@ -1,7 +1,5 @@
 <div class="titrePage">
-  <h2>{'Edit album permissions'|@translate}</h2>
+  <h2><span style="letter-spacing:0">{$CATEGORIES_NAV}</span> &#8250; {'Edit album'|@translate} {$TABSHEET_TITLE}</h2>
 </div>
-
-<h3>{$CATEGORIES_NAV}</h3>
 
 <form action="{$F_ACTION}" method="post" id="categoryPermissions">
Index: /trunk/admin/themes/default/template/element_set_ranks.tpl
===================================================================
--- /trunk/admin/themes/default/template/element_set_ranks.tpl	(revision 13012)
+++ /trunk/admin/themes/default/template/element_set_ranks.tpl	(revision 13013)
@@ -38,7 +38,7 @@
 {/literal}{/footer_script}
 
-<h2>{'Manage photo ranks'|@translate}</h2>
-
-<h3>{$CATEGORIES_NAV}</h3>
+<div class="titrePage">
+  <h2><span style="letter-spacing:0">{$CATEGORIES_NAV}</span> &#8250; {'Edit album'|@translate} {$TABSHEET_TITLE}</h2>
+</div>
 
 <form action="{$F_ACTION}" method="post">
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 13012)
+++ /trunk/admin/themes/default/theme.css	(revision 13013)
@@ -220,4 +220,10 @@
 FORM#catModify TABLE { width: auto; }
 
+#catModify p {
+  line-height: 20px;
+  margin: 0 0 1.5em;
+  text-align: left;
+}
+
 FIELDSET.elementEdit .thumb {
 	display: block;
@@ -788,5 +794,5 @@
 .themeBoxes {min-height:0;text-align:left;}
 
-h2 { letter-spacing:2px; font-weight:bold;}
+h2 { letter-spacing:1px; font-weight:bold;}
 h2:lang(en) { text-transform:capitalize; }
 
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 13012)
+++ /trunk/language/en_UK/admin.lang.php	(revision 13013)
@@ -844,3 +844,6 @@
 $lang['registered users'] = 'registered users';
 $lang['administrators'] = 'administrators';
+$lang['This album contains %d photos, added on %s.'] = 'This album contains %d photos, added on %s.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'This album contains %d photos, added between %s and %s.';
+$lang['This album contains no photo.'] = 'This album contains no photo.';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13012)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13013)
@@ -857,3 +857,6 @@
 $lang['registered users'] = 'utilisateurs enregistrés';
 $lang['administrators'] = 'administrateurs';
+$lang['This album contains %d photos, added on %s.'] = 'Cet album contient %d photos, ajoutées le %s.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Cet album contient %d photos, ajoutées entre le %s et le %s..';
+$lang['This album contains no photo.'] = 'Cet album ne contient pas de photo.';
 ?>