Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13040)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13041)
@@ -224,6 +224,4 @@
 $lang['manage sub-albums'] = 'Gérer les sous-albums';
 $lang['Manage'] = "Gérer";
-$lang['maximum height'] = "Hauteur maximum";
-$lang['maximum width'] = "Largeur maximum";
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d second].";
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes].";
@@ -339,20 +337,13 @@
 $lang['User list'] = "Liste des utilisateurs";
 $lang['Edit photo information'] = 'Modifier les informations de cette photo';
-$lang['Thumbnail creation'] = "Création des miniatures";
 $lang['Database synchronization with files'] = "Synchronisation de la base à partir des fichiers de";
 $lang['all'] = "Tout";
-$lang['photos without thumbnail (jpeg and png only)'] = 'photos sans miniature (jpeg et png uniquement)';
 $lang['height must be a number superior to'] = "la hauteur doit un entier supérieur à";
 $lang['width must be a number superior to'] = "la largeur doit être un entier supérieur à";
 $lang['for the file format'] = "pour le format de fichier";
-$lang['No missing thumbnail'] = "Aucune miniature ne manque";
 $lang['Photo unreachable or no support'] = 'Photo inaccessible ou format non supporté';
 $lang['GD version'] = "version de GD";
-$lang['generated in'] = "générée en";
-$lang['Results of miniaturization'] = "Résultats de la miniaturisation";
 $lang['General statistics'] = "Statistiques générales";
-$lang['max time'] = "temps maximal";
 $lang['average time'] = "temps moyen";
-$lang['min time'] = "temps minimal";
 $lang['number of miniaturized photos'] = 'nombre de miniatures créées';
 $lang['total time'] = "temps total";
@@ -446,6 +437,4 @@
 $lang['guest'] = "invité";
 $lang['default values'] = "valeurs par défaut";
-$lang['High filesize'] = "Taille du fichier haute résolution";
-$lang['High dimensions'] = 'Dimensions du fichier haute résolution';
 $lang['Guest cannot be deleted'] = "L'invité ne peut pas être supprimé";
 $lang['Default user cannot be deleted'] = "L'utilisateur par défaut ne peut pas être supprimé";
@@ -508,5 +497,4 @@
 $lang['Are you sure you want to install this plugin?'] = "Etes-vous sûr de vouloir installer ce plugin?";
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = "Etes-vous sur de vouloir installer cette mise à jour? Vous devez vérifiez que cette mise à jour ne nécessite pas de désinstallation préalable.";
-$lang['%s has been successfully updated'] = "%s a été mis à jour avec succès.";
 $lang['Plugin has been successfully copied'] = "Le plugin a été copié avec succès.";
 $lang['You might go to plugin list to install and activate it.'] = "Rendez-vous dans la liste des plugins pour l'installer et l'activer.";
@@ -643,5 +631,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Activer les miniatures de navigation';
 $lang['Activate icon "%s"'] = 'Activer l\'icône "%s"';
-$lang['Activate field "%s"'] = 'Activer le champ "%s"';
 $lang['Photo Properties'] = 'Propriétés de la photo';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader signifie <em>Piwigo Uploader</em>. Depuis votre ordinateur, pLoader prépare vos photos et les transfère vers votre galerie photo Piwigo.';
@@ -790,5 +777,4 @@
 $lang['Height'] = 'Hauteur';
 $lang['Follow Orientation'] = "Respecter l'orientation";
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Si vous voulez régénérer des miniatures, merci de vous rendre dans la <a href="%s">Gestion par lot</a>.';
 $lang['Graphics Library'] = 'Bibliothèque graphique';
 $lang['Show menubar'] = 'Afficher le menu';
@@ -860,3 +846,4 @@
 $lang['This album contains %d photos, added between %s and %s.'] = 'Cet album contient %d photos, ajoutées entre le %s et le %s.';
 $lang['This album contains no photo.'] = 'Cet album ne contient pas de photo.';
+$lang['%s has been successfully updated.'] = '%s a été mis à jour avec succès.';
 ?>